@extends('layouts.dashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            View Customer
        </h1>
        <!-- <ol class="breadcrumb">
            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">View Customer</li>
        </ol> -->
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4 class="box-title">View Customer</h4>
                                </div><!-- /.box-header -->
                    <div class="box-body table-responsive">
                    <div style="margin-bottom: 10px; width: 100%; overflow: auto;">
                      <a href="/betas2bi/customer/create">  <button type="submit" class="btn btn-danger pull-right">Add Customer</button></a>
                    </div>
                        <table id="custlist" class="table dt-table table-striped table-hover table-bordered matmix-dt">
                            <thead style="background:#e9e9e9;">
                                <tr>
                                    <th width="5%">No#</th>
                                   
                                    <th>Company Name</th>
                                     <th>Contact Person</th>
                                    <th>Location</th>
                                    <th>Contract Type</th>
                                    <th>SLA</th>
                                    <!-- <th width="15%">Status </th> -->
                                    <th width="19%">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($customers as $index => $element)
                                <tr>
                                      <td>{{$index+1}}</td>
                                      <td><a href="{{ route('customer.show', array('id' => $element->id)) }}">{{$element->cmpy_name}}</a></td>
                                    <td>{{$element->c_name}}</td>
                                    <td>{{$element->loc_name}}</td>
                                    <td>{{$element->cont_name}}</td>
                                    <td>{{$element->c_sla}}</td>

                                    <!-- <td><div class="activeTab">
                                      <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                                                              <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
            </div></td> -->
            <td>
              <a class="btn btn-primary" href="{{ route('customer.edit', array('id' => $element->id)) }}">
<span class="glyphicon glyphicon-edit"></span> Edit
</a>
<button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->c_name}}" onclick="delete_customer(<?php echo $element->id?>)">
<span class="glyphicon glyphicon-trash"></span> Delete
</button>

            </td>
                                </tr>
                                @endforeach


                            </tbody>
                        </table>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->

            </div>
        </div>

    </section><!-- /.content -->
</aside><!-- /.right-side -->
@endsection
<script type="text/javascript" href="http://supporttest.com/betas2bi/css/components.css"></script>
<script type="text/javascript" href="http://supporttest.com/betas2bi/js/sweetalert.js"></script>

<script type="text/javascript">

    

    function delete_customer(stId) {

         swal({

            title: "Are you sure?",

            text: "You will not be able to recover this data!",

            type: "warning",

            showCancelButton: true,

            confirmButtonClass: "btn-danger",

            confirmButtonText: "Yes, delete it!",

            cancelButtonText: "No, cancel the actions!",

            closeOnConfirm: false,

            closeOnCancel: false

         },

         function(isConfirm) {

            if (isConfirm) {

               //swal("Deleted!", "State has been deleted.", "success");

               //ajax delete data to database

               $.ajax({

                  url: "<?php echo url('/master/delete_cust/')?>" + stId,

                  type: "POST",

                  dataType: "JSON",

                  success: function(data) {

                    console.log(data)

                     //table.ajax.reload(null, false); //just reload table

                      $("#custlist").load(window.location + " #custlist");

                       swal("Deleted!", "Customer has been deleted.", "success");

                 },

                  error: function(jqXHR, textStatus, errorThrown) {

                     alert('Error deleting data');

                 }

               });

            } else {

               swal("Cancelled", "Data is safe :)", "error");

            }

         });

      }  



</script>