@extends('layouts.dashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                         View Material Request 
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">View Material Request </li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">View Material Request </h3>                                    
                                </div><!-- /.box-header -->
                               
                                <div class="box-body table-responsive">
                                    <table id="example" class="table table-bordered table-hover">
                                        <thead style="background:#e9e9e9;">
                                            <tr>
                                                <th>Form No</th>
                                                <th>Service No</th>
                                                <th>Part No</th>
                                                <th>Part Desc</th>
                                                <th>Part Qty</th>
                                                <th>Remark</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                                                                      
                                               
                                                
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($materials as $index => $element)
                                            <tr>
                                                <td><a href="{{ url('materialshowadmin', $element->id) }}" target="_blank">{{$element->form_no}}</a></td>
                                                <td>{{ $element->service_no ? : 'Nill' }}   </td>
                                                <td>{{ $element->prt_no ? : 'Nill' }}</td>
                                                <td>{{$element->prt_desc ? : 'Nill'}}</td>
                                                <td>{{$element->prt_qty ? : 'Nill' }}</td>
                                                <td>{{$element->remark}}</td>
                                                <td>{{$element->status}}</td>

                            <td>

                              <a class="btn btn-primary" href="{{ url('materialedit', $element->id) }}">

             <span class="glyphicon glyphicon-edit"></span> Edit

           </a>

           

                            </td>
                                                
                                                
                                 
                                </tr>
                                @endforeach
                                            
                                        </tbody>
                                    </table>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->
                            
                        </div>
                    </div>

                </section><!-- /.content -->
            </aside><!-- /.right-side -->
       
@endsection
