@extends('layouts.dashboard')

@section('content')



<!-- Right side column. Contains the navbar and content of the page -->

            <aside class="right-side">

                <!-- Content Header (Page header) -->

                <section class="content-header">

                    <h1>

                        Add Serial Number

                    </h1>

                    <!-- <ol class="breadcrumb">

                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>

                        <li class="active">Add Serial Number</li>

                    </ol> -->

                </section>



                <!-- Main content -->

                <section class="content">

                    <div class="row">

                        <div class="col-md-12">

                            

                            <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>

                                    <h4 class="box-title">Add Serial Number to Assets</h4>

                                </div>

                                <div class="box-body">

                                  {{ Form::open(array('route' => 'serial.store','id'=>'formasset', 'class' => 'form-horizontal form-label-left')) }}

                                   {{ csrf_field() }}

                                <div class="col-md-6">

                                    <div class="form-group">

                                            <label>Choose Asset</label>

                                            <select class="form-control" name="category" id="category" required>

                                                <option value="">Select</option>

                                            @foreach ($categories as $category)

                            <option value="{{ $category->id}}">{{$category->cat_name}}</option>

                                            @endforeach

                                            </select>

                                     </div>

								</div>

                                <div class="col-md-6">

                                    <div class="form-group">

                                        <label>Enter Serial Number</label>

                                        <div class="input-group">

                                            <div class="input-group-addon">

                                                <i class="fa fa-map-marker" aria-hidden="true"></i>

                                            </div>

                                            <input type="text" class="form-control" name="serialno"  id="serialno" required style="float:left; width:75%; margin-right:5px;" />
                                            <button type="submit" class="btn btn-danger">Submit</button>
                                        </div>

                                    </div>

								</div>

                                <!-- <div class="col-md-4">

                                    <div class="form-group">

                                            <label>Choose SLA</label>

                                            <select class="form-control" name="sla" id="sla" required>

                                                <option value="">Select</option>

                                                <option value="24x7x52">24x7x52</option>

                                                <option value="24x7x8">24x7x8</option>

                                                <option value="24x7x4">24x7x4</option>

                                                <option value="NBD">NBD</option>

                                            </select>

                                        </div>

								</div> -->

                               <!--  <div class="col-md-4">

                                <div class="form-group">

                                        <label>Start Date</label>

                                        <div class="input-group date">

                  							<div class="input-group-addon">

                    							<i class="fa fa-calendar"></i>

                  							</div>

                  							<input class="form-control pull-right" name="datepicker" id="datepicker" type="text" readonly>

                							</div>

                                    </div>

                                </div>

                                <div class="col-md-4">

                                <div class="form-group">

                                        <label>End Date</label>

                                        <div class="input-group date">

                  							<div class="input-group-addon">

                    							<i class="fa fa-calendar"></i>

                  							</div>

                  							<input class="form-control pull-right" name="datepicker2" id="datepicker2" type="text" readonly>

                							</div>

                                    </div>

                                </div> -->

                                <!--<div class="col-lg-4" align="left">

                                    	<button type="submit" class="btn btn-danger">Submit</button>

                                         <button type="submit" class="btn bg-black">Cancel</button> 

                                    </div>-->

                                {!! Form::close() !!}

                                </div>

                                </div>

                                <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-table"></i></span>
                                    <h4>Asset List</h4>
                                </div>
                                <div class="col-md-12 box-body">

                                    <table id="sl_list" class="table dt-table table-striped table-hover table-bordered matmix-dt">

                                            <thead style="background:#e9e9e9;">

                                                <tr>

                                                    <th>No#</th>

                                                    <th>Asset</th>

                                                    <th>Serial No</th>

                                                   <!--  <th>SLA</th>

                                                    <th>Start Date</th>

                                                    <th>End Date</th> -->

                                                	<th>Action</th>

                                                </tr>

                                            </thead>

                                            <tbody>



                                                @foreach ($serials as $index => $element)

                                                <tr>

                                                    <td>{{$index+1}}</td>

                                                    <td>{{$element->cat_name}}</td>

                                                    <td>{{$element->serial_no}}</td>

                                                    

                            <td>

                              <a class="btn btn-primary" href="{{ route('serial.edit', array('id' => $element->id)) }}">

             <span class="glyphicon glyphicon-edit"></span> Edit

           </a>

           <button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->cat_name}}" onclick="delete_serial(<?php echo $element->id?>)">

              <span class="glyphicon glyphicon-trash"></span> Delete

            </button>


                            </td>

                                                </tr>

                                                @endforeach

                                                

                                                

                                            </tbody>

                                        </table>

                                </div>

                                </div><!-- /.box-body -->

                            </div><!-- /.box -->



                            <!-- /.box -->



                        </div><!-- /.col (left) -->

                    </div><!-- /.row -->                    



                </section><!-- /.content -->

            </aside><!-- /.right-side -->



@endsection
<script type="text/javascript">

    function delete_serial(stId) {
         swal({
            title: "Are you sure?",
            text: "You will not be able to recover this data!",
            type: "warning",
            showCancelButton: true,
            confirmButtonClass: "btn-danger",
            confirmButtonText: "Yes, delete it!",
            cancelButtonText: "No, cancel the actions!",
            closeOnConfirm: false,
            closeOnCancel: false
         },

         function(isConfirm) {
            if (isConfirm) {
               //swal("Deleted!", "State has been deleted.", "success");

               //ajax delete data to database country.destroy
               $.ajax({
                  type: "GET",
                  // url: '<?php //echo url('/delete_con')?>/'
                   url: "{{url('/delete_serno')}}/"+stId,
                  //data: {id:stId},

                  //dataType: "JSON",

                  success: function(data) {
                     //table.ajax.reload(null, false); //just reload table
                      $("#sl_list").load(window.location + "#sl_list");
                       swal("Deleted!", "Asset serialno has been deleted.", "success");
                 },
                  error: function(jqXHR, textStatus, errorThrown) {
                     alert('Error deleting data');
                 }
               });
            } else {

               swal("Cancelled", "Data is safe :)", "error");

            }

         });

      }  



</script>
