@extends('layouts.tdashboard')
@section('content')

<!-- Right side column. Contains the navbar and content of the page -->

            <aside class="right-side">

                <!-- Content Header (Page header) -->

                <section class="content-header">

                    <h1>

                        Manage Tickets

                    </h1>

                    <!-- <ol class="breadcrumb">

                        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>

                        <li><a href="view_ticket.html">View Ticket</a></li>

                        <li class="active">Ticket Details</li>

                    </ol> -->

                </section>



                <!-- Main content -->

                <section class="content">

                    <div class="row">

                        <div class="col-md-12">

                          <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4 class="box-title">Ticket Details</h4>
                                </div><!-- /.box-header -->
                                <div class="box-body table-responsive">

                                <div class="row">

                                <div class="col-md-6">

                                    <div class="box box-solid">

                                        <div class="box-body">

                                            <dl class="dl-horizontal">

                                                <dt>Ticket ID</dt>

                                                <dd>TIC000<?php echo $tickets->id?></dd>

                                                

                                                <dt>Customer Name</dt>

                                                <dd><?php echo $tickets->cmpy_name?></dd>

                                                

                                                <dt>Location</dt>

                                                <dd><?php echo $tickets->loc_name?></dd>

                                                

                                                <dt>Ticket Subject</dt>

                                                <dd><?php echo $tickets->tic_subject?></dd>



                                                <dt>Ticket Description</dt>

                                                <dd><?php echo $tickets->tic_desc?></dd>

                                                <dt>Ticket Type</dt>

                                                <dd><?php echo $tickets->tic_type?></dd>

                                                <dt> Email</dt>

                                                <dd><?php echo $tickets->tic_email?></dd>

                                                <dt> Phone No</dt>

                                                <dd><?php echo $tickets->tic_phn?></dd>

                                                                                              

                                            </dl>

                                        </div><!-- /.box-body -->

                                    </div><!-- /.box -->

                            </div>





                                

                                <div class="col-md-6">

                                    <div class="box box-solid">

                                        <div class="box-body">

                                            <dl class="dl-horizontal">

                                             

                                                <dt>OEM</dt>

                                                <dd><?php echo $tickets->oem_name ? : 'Nill'?></dd>

                                                

                                                

                                                <dt>Model</dt>

                                                <dd><?php echo $tickets->mod_name ? : 'Nill' ?></dd>



                                                <dt>Status</dt>

                                                <dd><?php echo $tickets->sta_name?></dd>

                                                

                                                

                                               <dt>Part Description</dt>

                                                <dd><?php echo $tickets->prt_desc ? : 'Nill' ?></dd>

                                                

                                               

                                                <dt>Part Number</dt>

                                                <dd><?php echo  $tickets->prt_no ? : 'Nill' ?></dd>

                                                 <dt>Serial Number</dt>

                                                <dd><?php echo $tickets->tic_sr_no?></dd>

                                                

                                                

                                               <dt>Create date</dt>

                                                <dd><?php echo $tickets->created_at?></dd>

                                                

                                            </dl>

                                        </div><!-- /.box-body -->

                                    </div><!-- /.box -->

                            </div>

                            </div>

                             @foreach ($feReport as $index => $element)

                            <div class="row">

                            <div class="col-md-6">

                                    <div class="box box-solid">

                                        <div class="box-body">

                                        {{$index+1}}

                                            <dl class="dl-horizontal">

                                                <!-- <dt>SL.No:</dt>

                                                <dd>{{$index+1}}</dd> -->

                                                <dt>Ticket ID</dt>

                                                <dd>TIC000<?php echo $element->tic_id?></dd>

                                                

                                                <dt>Type of Service</dt>

                                                <dd><?php echo $element->ser_type?></dd>

                                                

                                                <dt>Status</dt>

                                                <dd><?php echo $tickets->sta_name?></dd>

                                                

                                                <dt>Activity Start Date</dt>

                                                <dd><?php echo date('d-m-y',strtotime($element->tdate))?></dd>



                                                <dt>Start Time</dt>

                                                <dd><?php echo date('h:i a',strtotime($element->start_time))?></dd>

                                                <dt>End Time</dt>

                                                <dd><?php echo date('h:i a',strtotime($element->end_time))?></dd>

                                                                                              

                                            </dl>

                                        </div><!-- /.box-body -->

                                    </div><!-- /.box -->

                            </div>



                            <div class="col-md-6">

                                    <div class="box box-solid">

                                        <div class="box-body">

                                            <dl class="dl-horizontal">

                                                <dt>Travel Time (in mins)</dt>

                                                <dd><?php echo $element->travel_time?></dd>

                                                

                                                <dt>Resolving Time</dt>

                                                <dd><?php echo  date('h:i a',strtotime($element->arr_site_time))?></dd>

                                                

                                                <dt>Leaving Time</dt>

                                                <dd><?php echo  date('h:i a',strtotime($element->dep_site_time))?></dd>                                                



                                                <dt>Parts to Order <br>(from outside if needed)</dt>

                                                <dd><?php echo $element->pto_id?></dd>

                                                <dt>SLA Meets</dt>

                                                <dd><?php if($element->slr_meets==1){echo 'Yes';}else{ echo 'No';}?></dd>

                                                                                              

                                            </dl>

                                        </div><!-- /.box-body -->

                                    </div><!-- /.box -->

                            </div>

                            </div>

                            @endforeach

                                <div class="col-md-12">

                                <div class="box box-danger">

                                <div class="box-header">

                                    <h3 class="box-title">Change Status for Tickets</h3>

                                </div>

                                {{ Form::open(array('action' => 'TicketController@tupdstatus','id'=>'formTicket', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}

                               {{ csrf_field() }}

                                <div class="box-body">

                                <input type="hidden" name="tic_id" value="<?php echo $tickets->id?>">

                                <div class="col-md-6">

                                    <div class="form-group">

                                      <label>Status</label>

                                      <select class="form-control" name="status">

                                          <option value="" selected="selected">Select</option>

                                          <option value="3">In Progress</option>

                                          <option value="4">On Hold</option>

                                          <option value="5">Send Req to Complete</option>

                                      </select>

                                    </div>

                                    </div>

                                    

                                    

                                <div class="col-lg-12" style="margin:10px 0px 20px;">

                                        <button type="submit" class="btn btn-danger">Submit</button>

                                    </div>

                                </div><!-- /.box-body -->

                                {!! Form::close() !!}

                            </div>

                                    <div class="box box-solid">



                                        <div class="box-body">

                                        

                                            <div class="box-header">

                                    <h3 class="box-title" style="float:none;">Service Ticket Log</h3>

                                    <hr color="#666666" style="margin:0px;" />

                                    

                                </div>

                                     <div class="box-body">

                                     

                                      {{ Form::open(array('action' => 'TicketController@serviceLog','id'=>'formTech', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}

                       {{ csrf_field() }}

                       <input type="hidden" name="tid" id="tid" value="<?php echo $tickets->id; ?>">

                                <div class="row">

                                <div class="col-md-6">

                                    <div class="form-group">

                                      <label>Type of Service Update</label>

                                      <select class="form-control" name="type" id="type">

                                          <option value="Update Service Ticket or Not Closed">Update Service Ticket/Not Closed</option>

                                          <option value="Update With No Time">Update With No Time</option>

                                          <option value="Schedule or Change Ticket">Schedule / Change Ticket</option>

                                          <option value="Order Parts">Order Parts</option>

                                          <option value="Quaterly PM">Quaterly PM</option>

                                          <option value="Customer Contact Attempt">Customer Contact Attempt</option>

                                          <option value="Close Ticket">Close Ticket</option>

                                      </select>

                                    </div>

                                    </div>

                                    <div class="col-md-6">

                                        <div class="form-group">

                                        <label>Date</label>

                                        <div class="input-group">

                                            <div class="input-group-addon">

                                                <i class="fa fa-calendar"></i>

                                            </div>

                                           <input class="form-control pull-right" id="datepicker" type="text" name="st_date"  required="required" >

                                        </div><!-- /.input group -->

                                    </div>

                                    </div>

                                    <div class="col-md-6 bootstrap-timepicker">

                                        <div class="form-group">

                                            <label>Start Time</label>

                                            <div class="input-group">                                            

                                                <input type="text" id="strtime" name="strtime" class="form-control timepicker"/>

                                                <div class="input-group-addon">

                                                    <i class="fa fa-clock-o"></i>

                                                </div>

                                            </div><!-- /.input group -->

                                        </div>

                                    </div>

                                    

                                    

                                    <div class="col-md-6">

                                        <div class="bootstrap-timepicker">

                                        <div class="form-group">

                                            <label>Arrive on Site Time</label>

                                            <div class="input-group">                                            

                                                <input type="text" id="artime" name="artime" class="form-control timepicker"/>

                                                <div class="input-group-addon">

                                                    <i class="fa fa-clock-o"></i>

                                                </div>

                                            </div><!-- /.input group -->

                                        </div><!-- /.form group -->

                                    </div>

                                    </div>

                                    

                                    </div>

                                    <div class="row">

                                    <div class="col-md-4">

                                    <div class="bootstrap-timepicker">

                                        <div class="form-group">

                                            <label>Depart Site Time</label>

                                            <div class="input-group">                                            

                                                <input type="text" id="dtime" name="dtime" class="form-control timepicker"/>

                                                <div class="input-group-addon">

                                                    <i class="fa fa-clock-o"></i>

                                                </div>

                                            </div><!-- /.input group -->

                                        </div><!-- /.form group -->

                                    </div>

                                    </div>

                                    <div class="col-md-4 bootstrap-timepicker">

                                        <div class="form-group">

                                            <label>End Time</label>

                                            <div class="input-group">                                            

                                                <input type="text" id="edtime" name="edtime" class="form-control timepicker"/>

                                                <div class="input-group-addon">

                                                    <i class="fa fa-clock-o"></i>

                                                </div>

                                            </div><!-- /.input group -->

                                        </div><!-- /.form group -->

                                    </div>

                                    <div class="col-md-4">

                                        <div class="form-group">

                                            <label>Travel Time (in mins)</label>

                                            <div class="input-group">                                            

                                                <input type="text" id="trstime" name="trstime" class="form-control"/>

                                                <div class="input-group-addon">

                                                    <i class="fa fa-clock-o"></i>

                                                </div>

                                            </div><!-- /.input group -->

                                        </div><!-- /.form group -->

                                    </div>

                                    

                                    </div>

                                <div class="row">

                                    

                                    <div class="col-md-4">

                                        <div class="form-group">

                                        <label>Parts to Order (from outside if needed)</label>

                                        <div class="input-group">

                                            <div class="input-group-addon">

                                                <i class="fa fa-map-marker" aria-hidden="true"></i>

                                            </div>

                                            <input type="text" class="form-control" name="porder" id="porder" />

                                        </div>

                                    </div>

                                    </div>

                                    <div class="col-md-4">

                                    <div class="form-group">

                                      <label>SLA Meets</label>

                                      <select class="form-control" id="sla" name="sla">

                                          <option value="">Select</option>

                                          <option value="1">Yes</option>

                                          <option value="0">No</option>

                                

                                      </select>

                                    </div>

                                    </div>

                                    <div class="col-md-4">

                                     <div class="form-group">

                                        <label>Attachment</label>

                                        <div class="input-group"> <span class="input-group-btn">

                                      <button id="fake-file-button-browse" type="button" class="btn btn-default"> <span class="glyphicon glyphicon-file"></span> </button>

                                      </span>

                                    <input type="file" id="files-input-upload" name ="file_upload" style="display:none">

                                    <input type="text" id="fake-file-input-name" disabled="disabled" placeholder="File not selected" class="form-control">

                                    <span class="input-group-btn">

                                      <button type="button" class="btn btn-default" disabled="disabled" id="fake-file-button-upload"> <span class="glyphicon glyphicon-upload"></span> </button>

                                      </span> 

                                    </div>

                                    </div> 

                                </div>

                                <div class="col-md-4">

                                    <div class="form-group">

                                        <label>Work Done</label>

                                        <textarea class="form-control" style="height:65px;" rows="1" name="work_done" id="work_done" placeholder="Comments"></textarea>

                                        </div>

                                    </div>

                                <div class="col-md-4">

                                	<label>Mission Status</label>

                                    <p style="margin:1px 0px 0px 0px;"><input name="mission_status" type="radio" value="1" />&nbsp; Waiting technical validation</p>

                                    <p style="margin:1px 0px 0px 0px;"><input name="mission_status" type="radio" value="2" />&nbsp; New mission</p>

                                    <p style="margin:1px 0px 0px 0px;"><input name="mission_status" type="radio" value="3" />&nbsp; CLOSED</p>

                                </div>

                                <div class="col-md-4">

                                	<label>Customer Satisfied?</label>

                                    <p style="margin:1px 0px 0px 0px;"><input name="customer_satisfied" type="radio" value="1" />&nbsp; Yes</p>

                                    <p style="margin:1px 0px 0px 0px;"><input name="customer_satisfied" type="radio" value="0" />&nbsp; No</p>

                                </div>

                                </div>

                                

                                <div class="row" style="margin-top:20px;">

                                <!-- <div class="col-md-6">

                                    <div class="form-group">

                                        <label>Ticket Subject</label>

                                        <div class="input-group">

                                            <div class="input-group-addon">

                                                <i class="fa fa-map-marker" aria-hidden="true"></i>

                                            </div>

                                            <input type="text" class="form-control" />

                                        </div>

                                    </div>

                                    </div> -->

                                    

                                <div class="box-header">

                                    <h3 class="box-title" style="float:none;">Logistics</h3>

                                    <hr color="#666666" style="margin:0px;" />

                                </div>

                                <div class="box-header">

                                    <h3  style="margin: 0px 0px 0px 15px; font-size: 17px; padding: 0px; font-weight: bold; color:#F00 ">Deffective Parts</h3>

                                </div>

                                	<div class="col-md-3">

                                        <div class="form-group">

                                        <label>Reference</label>

                                        <div class="input-group">

                                            <div class="input-group-addon">

                                                <i class="fa fa-map-marker" aria-hidden="true"></i>

                                            </div>

                                            <input type="text" class="form-control" name="def_ref" id="def_ref">

                                        </div>

                                    </div>

                                    </div>

                                    <div class="col-md-3">

                                        <div class="form-group">

                                        <label>Parts Number</label>

                                        <div class="input-group">

                                            <div class="input-group-addon">

                                                <i class="fa fa-map-marker" aria-hidden="true"></i>

                                            </div>

                                            <input type="text" class="form-control" name="def_pt_no" id="def_pt_no">

                                        </div>

                                    </div>

                                    </div>

                                    <div class="col-md-3">

                                        <div class="form-group">

                                        <label>Seriel Number</label>

                                        <div class="input-group">

                                            <div class="input-group-addon">

                                                <i class="fa fa-map-marker" aria-hidden="true"></i>

                                            </div>

                                            <input type="text" class="form-control" name="def_ser_no" id="def_ser_no">

                                        </div>

                                    </div>

                                    </div>

                                    <div class="col-md-3">

                                        <div class="form-group">

                                        <label>Tag ID</label>

                                        <div class="input-group">

                                            <div class="input-group-addon">

                                                <i class="fa fa-map-marker" aria-hidden="true"></i>

                                            </div>

                                            <input type="text" class="form-control" name="def_tag_id" id="def_tag_id">

                                        </div>

                                    </div>

                                    </div>


                                    

                                

                                </div>

                                <div class="col-lg-12" align="center" style="margin:10px 0px 20px;">

                                        <button type="submit" class="btn btn-danger">Submit</button>

                                        <button type="cancel" class="btn bg-black">Cancel</button>

                                    </div>

                                     {!! Form::close() !!}

                                </div>   

                                            

                                        </div><!-- /.box-body -->

                                    </div><!-- /.box -->

                            </div>

                                </div><!-- /.box-body -->

                            </div><!-- /.box -->



                            <!-- /.box -->



                        </div><!-- /.col (left) -->

                    </div><!-- /.row -->                    

                </section><!-- /.content -->

            </aside><!-- /.right-side -->



            <script type="text/javascript">

// Fake file upload

document.getElementById('fake-file-button-browse').addEventListener('click', function() {

 document.getElementById('files-input-upload').click();

});



document.getElementById('files-input-upload').addEventListener('change', function() {

 document.getElementById('fake-file-input-name').value = this.value;

 

 document.getElementById('fake-file-button-upload').removeAttribute('disabled');

});

</script>

             @endsection

