
<?php $__env->startSection('content'); ?>

<!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Add Serial Number
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Add Serial Number</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">
                            
                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">Add Serial Number to Assets</h3>
                                </div>
                                <div class="box-body">
                                  
                                  <?php echo e(Form::open(array('route' => 'serial.store','id'=>'formasset', 'class' => 'form-horizontal form-label-left'))); ?>

                                   <?php echo e(csrf_field()); ?>

                                <div class="col-md-4">
                                    <div class="form-group">
                                            <label>Choose Asset</label>
                                            <select class="form-control" name="category" id="category" required>
                                                <option value="">Select Asset</option>
                                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                            <option value="<?php echo e($category->id); ?>"><?php echo e($category->cat_name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
                                            </select>
                                     </div>
								</div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Enter Serial Number</label>
                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            <input type="text" class="form-control" name="serialno"  id="serialno" required />
                                        </div>
                                    </div>
								</div>
                                <!-- <div class="col-md-4">
                                    <div class="form-group">
                                            <label>Choose SLA</label>
                                            <select class="form-control" name="sla" id="sla" required>
                                                <option value="">Select</option>
                                                <option value="24x7x52">24x7x52</option>
                                                <option value="24x7x8">24x7x8</option>
                                                <option value="24x7x4">24x7x4</option>
                                                <option value="NBD">NBD</option>
                                            </select>
                                        </div>
								</div> -->
                               <!--  <div class="col-md-4">
                                <div class="form-group">
                                        <label>Start Date</label>
                                        <div class="input-group date">
                  							<div class="input-group-addon">
                    							<i class="fa fa-calendar"></i>
                  							</div>
                  							<input class="form-control pull-right" name="datepicker" id="datepicker" type="text" readonly>
                							</div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                <div class="form-group">
                                        <label>End Date</label>
                                        <div class="input-group date">
                  							<div class="input-group-addon">
                    							<i class="fa fa-calendar"></i>
                  							</div>
                  							<input class="form-control pull-right" name="datepicker2" id="datepicker2" type="text" readonly>
                							</div>
                                    </div>
                                </div> -->
                                <div class="col-lg-12" align="center" style="margin:10px 0px 20px;">
                                    	<button type="submit" class="btn btn-danger">Submit</button>
                                        <!-- <button type="submit" class="btn bg-black">Cancel</button> -->
                                    </div>
                                <?php echo Form::close(); ?>

                                </div>

                                <div class="col-md-12" style="margin-bottom:20px;">
                                    <table id="example2" class="table table-bordered table-hover">
                                            <thead style="background:#e9e9e9;">
                                                <tr>
                                                    <th>No#</th>
                                                    <th>Asset</th>
                                                    <th>Serial No</th>
                                                   <!--  <th>SLA</th>
                                                    <th>Start Date</th>
                                                    <th>End Date</th> -->
                                                	<th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>

                                                <?php $__currentLoopData = $serials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $element): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($index+1); ?></td>
                                                    <td><?php echo e($element->cat_name); ?></td>
                                                    <td><?php echo e($element->serial_no); ?></td>
                                                    
                            <td>
                              <a class="btn btn-primary" href="<?php echo e(url('tseredit', $element->id)); ?>"">
             <span class="glyphicon glyphicon-edit"></span> Edit
           </a>
           <?php echo e(Form::open(array('method'
=> 'DELETE', 'route' => array('serial.destroy', $element->id), 'style' => 'display:inline !important;'))); ?><button class="btn btn-danger" data-id="<?php echo e($element->id); ?>" data-title="<?php echo e($element->cat_name); ?>">
              <span class="glyphicon glyphicon-trash"></span> Delete
            </button>

  <?php echo Form::close(); ?>

                            </td>
                                                </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
                                                
                                                
                                            </tbody>
                                        </table>
                                </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->                    

                </section><!-- /.content -->
            </aside><!-- /.right-side -->

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.tdashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>