<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Service Call Report</title>
<style>
	h1 {
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:20px;
		font-weight:bold;
		color:#000;
		margin:0px;
	}
	h2 {
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:15px;
		font-weight:bold;
		color:#000;
		margin:0px;
	}
	.DotLine {
		border-bottom:dotted 1px #DBDBDB;
		margin:0px;
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:13px;
		color:#666666;
		margin:0px 0px 0px 10px;
		line-height:25px;
	}
	.footer {
		margin:0px;
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:13px;
		color:#666666;
		margin:0px 0px 0px 10px;
	}
	.DotLine_new {
		background:url(../img/bg.jpg) repeat-x;
		margin:0px;
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:13px;
		color:#666666;
		margin:0px 0px 0px 10px;
		line-height:25px;
		min-height:100px;
	}
	.DotLine_two {
		background:url(../img/bg.jpg) repeat-x;
		margin:0px;
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:13px;
		color:#666666;
		margin:0px 0px 0px 10px;
		line-height:25px;
		min-height:50px;
		width:75%;
	}
	.content {
		margin:0px;
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:13px;
		color:#666666;
		margin:0px 0px 0px 10px;
		font-weight:normal;
	}
	h3 {
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:13px;
		font-weight:bold;
		color:#000;
		margin:0px;
	}
	.border {
		border: dotted 1px #666;
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:13px;
		font-weight:bold;
		color:#000;
	}
	.border3 {
		border: dotted 1px #666;
		border-left:none;
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:13px;
		font-weight:bold;
		color:#000;
		
	}
	
	.border3_top {
		border: dotted 1px #666;
		border-top:none;
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:13px;
	}
	.border3_left {
		border: dotted 1px #666;
		border-top:none;
		border-left:none;
		font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;
		font-size:13px;
	}
	
	.square {
		border: solid 2px #666;
		width:20px;
		height:20px;
		margin:0px;
		padding:0px;
	}
	
</style>
</head>

<body>
<a href="javascript:window.print()" style="float:right; margin:0px 10px 5px 0px;"><img src="../img/printer-icon--icon-search-engine-1.png" /></a>
<table width="1100" cellspacing="0" cellpadding="0" style="border:double 4px #666; padding:15px;">
  <tr>
    <td width="50%">
   	  <table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="30%" height="40">&nbsp;</td>
    <td height="40" colspan="2" valign="top"><h1>Service Call Report</h1></td>
  </tr>
  <tr>
    <td rowspan="2"><img src="https://www.ssquadglobal.com/images/logo.png" height="50" /></td>
    <td width="26%" height="30" align="right" valign="middle"><h2>Reference :</h2></td>
    <td width="44%" height="30"><p class="DotLine">TIC000<?php echo $report->id?></p></td>
  </tr>
  <tr>
    <td height="30" align="right" valign="middle"><h2>Contact Number :</h2></td>
    <td height="30"><p class="DotLine"><?php echo $report->tic_phn?></p></td>
  </tr>
  
      </table>
      <table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:solid 1px #666; margin-top:10px; padding:0px 10px;">
  <tr>
    <td width="50%">
    	<h3 style="padding:5px 0px;">Brand : <span class="content"><?php echo $report->oem_name?></span></h3>
        <h3 style="padding:5px 0px;">Model : <span class="content"><?php echo $report->mod_name?></span></h3>
    </td>
    <!--<td width="25%" height="40"></td>-->
    <td width="50%">
    	<h3 style="padding:5px 0px;">Type : <span class="content"><?php echo $report->cat_name?></span></h3>
    	<h3 style="padding:5px 0px;">Serial number : <span class="content"><?php echo $report->serial_no?></span></h3>
    </td>
    <!--<td width="25%" height="40"></td>-->
  </tr>
  <tr>
    <td height="70" colspan="2" align="left" valign="top">
    	<h3 style="float:left">Description issue : </h3><p class="DotLine_two" style="float:left"><?php echo $report->tic_desc?></p>
    </td>
  </tr>
</table>


    </td>
    <td width="50%">
   	  <table width="98%" border="0" cellspacing="0" cellpadding="0" style="border:solid 1px #666; margin-left:15px; padding:10px;">
  <tr>
    <td width="18%" height="40"><h2>Customer :</h2></td>
    <td width="82%" height="40"><p class="DotLine"><?php echo $report->cmpy_name?></p></td>
  </tr>
  <tr>
    <td height="40"><h2>Address :</h2></td>
    <td height="40"><p class="DotLine"><?php echo $report->c_address?></p></td>
  </tr>
  <tr>
    <td height="40"><h2>Contact :</h2></td>
    <td height="40"><p class="DotLine"><?php echo $report->c_name?></p></td>
  </tr>
  <tr>
    <td height="40"><h2>Telephone :</h2></td>
    <td height="40"><p class="DotLine"><?php echo $report->c_phn?></p></td>
  </tr>
  <tr>
    <td height="40"><h2>Email :</h2></td>
    <td height="40"><p class="DotLine"><?php echo $report->c_email?></p></td>
  </tr>
</table>

    </td>
  </tr>
  <tr>
    <td colspan="2">
   	  <table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:solid 1px #666; margin-top:15px; padding:10px;">
    	  <tr>
    	    <td colspan="2">
            <h3>Work done  :</h3>
            <p class="DotLine_new"><?php echo $report->work_done?></p>
            </td>
  	    </tr>
    	  <tr>
    	    <td width="75%">
            	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="table">
  <tr>
    <td width="5%" height="30" align="center" valign="middle" class="border">&nbsp;</td>
    <td width="19%" height="30" align="center" valign="middle" class="border3">Date</td>
    <td width="19%" height="30" align="center" valign="middle" class="border3">Arriving time</td>
    <td width="19%" height="30" align="center" valign="middle" class="border3">Start Time</td>
    <td width="19%" height="30" align="center" valign="middle" class="border3">Depart Site Time</td>
    <td width="19%" height="30" align="center" valign="middle" class="border3">End Time</td>
  </tr>
<?php 
 foreach($times as $index => $element){?>
  <tr>
    <td height="25" align="center" valign="middle" class="border3_top"><?php echo $index+1?></td>
    <td height="25" align="center" valign="middle" class="border3_left"><?php echo date('d-m-Y',strtotime($element->tdate))?></td>
    <td height="25" align="center" valign="middle" class="border3_left"><?php echo date('h:i a',strtotime($element->arr_site_time))?></td>
    <td height="25" align="center" valign="middle" class="border3_left"><?php echo date('h:i a',strtotime($element->start_time))?></td>
     <td height="25" align="center" valign="middle" class="border3_left"><?php echo date('h:i a',strtotime($element->dep_site_time))?></td>
     <td height="25" align="center" valign="middle" class="border3_left"><?php echo date('h:i a',strtotime($element->end_time))?></td>
   
  </tr>
  <?php }
  //echo count($times);exit;
  for ($i=(count($times)+1);$i<=5;$i++)
  {
 ?>
  <tr>
    <td height="25" align="center" valign="middle" class="border3_top"><?php echo $i?></td>
    <td height="25" align="center" valign="middle" class="border3_left">&nbsp;</td>
    <td height="25" align="center" valign="middle" class="border3_left">&nbsp;</td>
    <td height="25" align="center" valign="middle" class="border3_left">&nbsp;</td>
    <td height="25" align="center" valign="middle" class="border3_left">&nbsp;</td>
    <td height="25" align="center" valign="middle" class="border3_left">&nbsp;</td>
  </tr>
  <?php }?>
  
</table>

            </td>
    	    <td width="25%">
            	<table width="100%" border="0" cellspacing="0" cellpadding="0" style="margin-top:15px; padding:10px;">
  <tr>
    <td width="77%" align="right" valign="middle"><h3><u>Mission Status :</u></h3></td>
    <td width="23%" align="right" valign="middle">&nbsp;</td>
  </tr>
  <tr>
    <td align="right" valign="middle">&nbsp;</td>
    <td align="right" valign="middle">&nbsp;</td>
  </tr>
  <tr>
    <td align="right" valign="middle"><h3>Waiting technical validation</h3></td>
    <td align="right" valign="middle"><p class="square"><?php if(($report->mission_status)==1){?><img src="../img/black-check-tick-icon-4.png" width="20"><?php }?></p></td>
  </tr>
  <tr>
    <td align="right" valign="middle"><h3>New mission</h3></td>
    <td align="right" valign="middle"><p class="square"><?php if(($report->mission_status)==2){?><img src="../img/black-check-tick-icon-4.png" width="20"><?php }?></p></td>
  </tr>
  <tr>
    <td align="right" valign="middle"><h3>CLOSED</h3></td>
    <td align="right" valign="middle"><p class="square"><?php if(($report->mission_status)==3){?><img src="../img/black-check-tick-icon-4.png" width="20"><?php }?></p></td>
  </tr>
  <tr>
    <td align="right" valign="middle">&nbsp;</td>
    <td align="right" valign="middle">&nbsp;</td>
  </tr>
  <tr>
    <td align="right" valign="middle"><h3><u>Customer Satisfied?</u></h3></td>
    <td align="right" valign="middle">&nbsp;</td>
  </tr>
  <tr>
    <td align="right" valign="middle"><h3>Yes</h3></td>
    <td align="right" valign="middle"><p class="square"><?php if(($report->customer_satisfied)==1){?><img src="../img/black-check-tick-icon-4.png" width="20"><?php }?></p></td>
  </tr>
  <tr>
    <td align="right" valign="middle"><h3>No</h3></td>
    <td align="right" valign="middle"><p class="square"><?php if(($report->customer_satisfied)==0){?><img src="../img/black-check-tick-icon-4.png" width="20"><?php }?></p></td>
  </tr>
</table>

            </td>
        </tr>
    </table>
    <table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:solid 1px #666; margin-top:15px; width:100%;">
  <tr>
    <td>
    	<h3 style="padding:11px 0px 0px 10px;"><u>LOGISTICS</u></h3>
        <h3 style="padding:11px 0px 10px 10px;">Defectives parts</h3>
    </td>
  </tr>
  <tr>
    <td>
    	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="table">
  <tr>
    <td width="25%" height="30" align="center" valign="middle" class="border3">Reference</td>
    <td width="25%" height="30" align="center" valign="middle" class="border3">Part Number</td>
    <td width="25%" height="30" align="center" valign="middle" class="border3">Serial Number</td>
    <td width="25%" height="30" align="center" valign="middle" class="border3">Tag ID</td>
  </tr>
  <?php 
 foreach($defective as $index => $element){?>
  <tr>
    <td height="20" align="center" valign="middle" class="border3_left"><?php echo $element->ref?></td>
    <td height="20" align="center" valign="middle" class="border3_left"><?php echo $element->prt_no?></td>
    <td height="20" align="center" valign="middle" class="border3_left"><?php echo $element->serial_no?></td>
    <td height="20" align="center" valign="middle" class="border3_left"><?php echo $element->tag_id?></td>
  </tr>
  <?php }
  //echo count($times);exit;
  for ($i=(count($defective)+1);$i<=5;$i++)
  {
 ?>
  <tr>
    <td height="20" align="center" valign="middle" class="border3_left">&nbsp;</td>
    <td height="20" align="center" valign="middle" class="border3_left">&nbsp;</td>
    <td height="20" align="center" valign="middle" class="border3_left">&nbsp;</td>
    <td height="20" align="center" valign="middle" class="border3_left">&nbsp;</td>
  </tr>
  <?php }?>
  
  </table>
    </td>
  </tr>
  <tr>
    <td height="20"><h3 style="padding:5px 0px 5px 10px;">Parts used for replacement</h3></td>
  </tr>
  <tr>
    <td>
    	<table width="100%" border="0" cellspacing="0" cellpadding="0" class="table">
  <tr>
    <td width="25%" height="30" align="center" valign="middle" class="border3">Reference</td>
    <td width="25%" height="30" align="center" valign="middle" class="border3">Part Number</td>
    <td width="25%" height="30" align="center" valign="middle" class="border3">Serial Number</td>
    <td width="25%" height="30" align="center" valign="middle" class="border3">Tag ID</td>
  </tr>
   <?php 
 foreach($replace as $index => $element){?>
  <tr>
    <td height="20" align="center" valign="middle" class="border3_left"><?php echo $element->ref?></td>
    <td height="20" align="center" valign="middle" class="border3_left"><?php echo $element->prt_no?></td>
    <td height="20" align="center" valign="middle" class="border3_left"><?php echo $element->serial_no?></td>
    <td height="20" align="center" valign="middle" class="border3_left"><?php echo $element->tag_id?></td>
  </tr>
  <?php }
  //echo count($times);exit;
  for ($i=(count($replace)+1);$i<=5;$i++)
  {
 ?>
  <tr>
    <td height="20" align="center" valign="middle" class="border3_left">&nbsp;</td>
    <td height="20" align="center" valign="middle" class="border3_left">&nbsp;</td>
    <td height="20" align="center" valign="middle" class="border3_left">&nbsp;</td>
    <td height="20" align="center" valign="middle" class="border3_left">&nbsp;</td>
  </tr>
    <?php }?>
  
  </table>
    </td>
  </tr>
  <tr>
    <td height="25">&nbsp;</td>
  </tr>
</table>
    </td>
    <!--<td align="left" valign="top">
    	

    </td>-->
  </tr>
  <tr>
    <td>
    	<table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:solid 1px #666; margin-top:15px; padding:10px;">
  
  <tr>
    <td height="30" colspan="5" align="left" valign="top">
    	<h3 style="float:left">Client (Name and Tittle ): </h3><p class="footer" style="float:left"><?php echo $report->cmpy_name?></p>
    </td>
  </tr>
  <tr>
    <td height="30" colspan="5" align="left" valign="top">
    	<h3 style="float:left">Comments: </h3><p class="DotLine" style="float:left"></p>
    </td>
  </tr>
  <tr>
    <td height="30" colspan="5" align="left" valign="top">
    	<h3>Signature: </h3>
        <p></p>
    </td>
  </tr>
</table>
    </td>
    <td>
    	<table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:solid 1px #666; margin-top:15px; margin-left:15px; width:98%; padding:10px;">
  
  <tr>
    <td height="30" colspan="5" align="left" valign="top">
    	<h3 style="float:left">Engineer (Name): </h3><p class="footer" style="float:left"><?php echo $report->tc_name?></p>
    </td>
  </tr>
  <tr>
    <td height="30" colspan="5" align="left" valign="top">
    	<h3>Signature: </h3>
        <p></p>
    </td>
  </tr>
  <tr>
    <td height="30" colspan="5" align="left" valign="top">&nbsp;
    	
    </td>
  </tr>
</table>
    </td>
  </tr>
</table>

</body>
</html>
