<?php $__env->startSection('content'); ?>
<script>
$(document).ready(function(){

 fetch_customer_data();

 function fetch_customer_data(query = '')
 {
  $.ajax({
   url:"<?php echo e(route('ticket_search.ticaction')); ?>",
   method:'GET',
   data:{query:query},
   dataType:'json',
   success:function(data)
   {
    $('tbody').html(data.table_data);
    $('#total_records').text(data.total_data);
   }
  })
 }

 $(document).on('keyup', '#search', function(){
  var query = $(this).val();
  fetch_customer_data(query);
 });
});
</script>

<div col-lg-12>
<div class="form-group">
      <input type="text" name="search" id="search" class="form-control" placeholder="Search with Ticket Subject/ Ticket Desc/ Customer Name" />
</div>
<div class="table-responsive">
      <h3 align="center">Total Data : <span id="total_records"></span></h3>
      <table class="table table-striped table-bordered">
       <thead>
        <tr>
         <th>No:</th>
         <th>Ticket No:</th>
         <th>Client</th>
         <th>Oem</th>
         <th>Model</th>
         <th>Part No:</th>
         <th>Serial No:</th>
         <th>Ticket Subject</th>
         <th>Ticket Desc</th>
         <th>Status</th>
        </tr>
       </thead>
       <tbody>

       </tbody>
      </table>
     </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>