@extends('layouts.dashboard')
@section('content')
<script type="text/javascript">

//location
$(document).ready(function() {

var basePath = "<?php echo URL::to('/'); ?>";

$('select[name="location"]').on('change', function() {

  var locId = $(this).val();

  if(locId) {
  //console.log(oemId);
      $.ajax({

          url: basePath+'/formsla/ajax/'+locId,

          type: "GET",

          dataType: "json",

          success:function(data) {

//console.log('hdhdhshd');
//console.log(data);

              $('select[name="customer"]').empty();
              $('select[name="customer"]').append('<option disabled selected> Select Customer</option>');

              $.each(data, function(key, value) {

                  $('select[name="customer"]').append('<option value="'+ value.id +'">'+ value.cmpy_name +'</option>');
//$('select[name="example2"]').append('<option value="'+ value.id +'">'+ value.mod_name +'</option>');
//$(".example2").append(data);
              });


          }

      });

  }else{

      $('select[name="customer"]').empty();

  }

});


});

</script>

            <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                      SLA Report
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">SLA Report</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">SLA Report</h3>
                                </div>
                                {{ Form::open(array('action' => 'ReportController@slastore','id'=>'formCustomer', 'class' => 'form-horizontal form-label-left')) }}
                     {{ csrf_field() }}
                                <div class="box-body">
                                 <div class="col-md-6">
                      <div class="form-group">
                          <label>Choose Location</label>
                          <select class="form-control" name="location" id="location" required="required">
                              <option value="">Select</option>
                              @foreach ($locs as $loc)
                              <option value="{{$loc->id}}">{{$loc->loc_name}}</option>
                              @endforeach
                          </select>
                        </div>
                        </div>
                        <div class="col-md-6">
                        <div class="form-group">
                          <label>Choose Customer</label>
                          <select class="form-control" name="customer" id="customer" required="required">
                            <option value="">Select</option>

                          </select>
                        </div>
                        </div>
                                <div class="col-md-6">
                                <div class="form-group">
                                        <label>Date Range:</label>
                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-calendar"></i>
                                            </div>
                                            <input type="text" class="form-control pull-right" id="reservation" name="reservation" required="required"/>
                                        </div><!-- /.input group -->
                                        <button type="submit" class="btn btn-danger" style="margin-top:10px;">View Report</button>
                                    </div>
                                    </div>
                                
                                </div><!-- /.box-body -->
                                {!! Form::close() !!}
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->                    

                </section><!-- /.content -->
            </aside><!-- /.right-side -->
            @endsection
