<?php

namespace Ticket;
use DB;

use Illuminate\Database\Eloquent\Model;

class City extends Model
{
    protected $fillable = ['st_id', 'ct_name', 'ct_status', 'created_at', 'updated_at'];

     protected static function getAllCities() {
     $results = DB::table('cities')
     ->select('cities.id','cities.ct_name','cities.ct_status','countries.con_name','states.st_name')
     ->join('states', 'states.id', '=', 'cities.st_id')
     ->join('countries', 'states.con_id', '=', 'countries.id')
     ->where('cities.ct_status', '=', '1')
     ->get(); // Notice the shares.* here
    return $results;
}
protected static function getStateByCat($id) {
    $states = DB::table('states')->select("st_name","id")
                ->where("con_id", '=', $id)->get();
    return $states;
  }
  protected static function AllDatafind($id) {
     $results = DB::table('cities')
     ->select('cities.id','cities.ct_name','countries.id as con_id','countries.con_name','states.id as st_id','states.st_name')
     ->join('states', 'states.id', '=', 'cities.st_id')
     ->join('countries', 'states.con_id', '=', 'countries.id')
     ->where('cities.id', '=', $id)->first();
     //print_r($results);exit;
    return $results;
  }
  
}
