<?php

namespace Ticket\Http\Controllers;

use Illuminate\Http\Request;
use Ticket\Http\Controllers\Controller;
use Ticket\Asset;
use Ticket\Master;
use Ticket\Oem;
use Ticket\Oemmodel;
// use Ticket\Country;
// use Ticket\State;
// use Ticket\City;
use Ticket\Location;
use Ticket\Customer;
use Ticket\Category;
use Ticket\Part;
use Session;
use Excel;

class AssetController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
     // public function __construct()
     // {
     //     $this->middleware('auth');
     // }

    public function index()
    {
          $oems = Oem::all();
          // $con = Country::all();
          // $state = State::all();
          // $city = City::all();
          $locs = Location::all();
          $customers = Customer::all();
          $categories = Category::all();
        //  $asset = Master::getOemname();
          //$oemnames = Master::getModelByOem(); ,'con','state','city'
          return view('admin.master.allocate',compact('oems', 'locs','customers','categories'));
    }

    public function allocateasset()
    {
          $oems = Oem::all();
          // $con = Country::all();
          // $state = State::all();
          // $city = City::all();
          $locs = Location::all();
          $customers = Customer::all();
          $categories = Category::all();
        //  $asset = Master::getOemname();
          //$oemnames = Master::getModelByOem(); ,'con','state','city'
          return view('admin.master.allocateasset',compact('oems', 'locs','customers','categories'));
    }

    public function techallocateasset()
    {
          $oems = Oem::all();
          // $con = Country::all();
          // $state = State::all();
          // $city = City::all();
          $locs = Location::all();
          $customers = Customer::all();
          $categories = Category::all();
        //  $asset = Master::getOemname();
          //$oemnames = Master::getModelByOem(); ,'con','state','city'
          return view('engineer.master.allocateasset',compact('oems', 'locs','customers','categories'));
    }
    /*engg module*/
    public function tindex()
    {
          $oems = Oem::all();
          $locs = Location::all();
          $customers = Customer::all();
           $categories = Category::all();
        //  $asset = Master::getOemname();
          //$oemnames = Master::getModelByOem();
          return view('engineer.master.allocate',compact('oems','locs','customers','categories'));
    }

    public function cindex()
    {
          
         $asset = Asset::getassetListBYcus(Session::get('uid'));        
          return view('customer.asset.assetlist',compact('asset'));
    }
    /*ends here*/

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
      if ($request->isMethod('post')) {
           //$master = new Asset;
           //var_dump($request->asset); die;
           foreach($request->asset as $val){
            // echo $val;
          //  echo $quantity  = $request->qty[$val];


$master = Master::find($val);
$asset=  Asset::getassetqty($val);
$assetcustomer=  Asset::getassetqtycus($val,$request->customer);


///is assigned to customer
if ($asset){
if($asset->qty !=0){
               
  $qtyy=(($master->prt_qty - ($asset->qty + $request->qty[$val])));
    ////need to borrow
    if($qtyy<0){
            $qty2=($asset->qty - $request->qty[$val]);

                   if($qty2==0){
                ////delete asset
                    $asst = Asset::find($asset->id);
                    $asst->delete();
                                }
                    else{
                      //update asset
                      $asst = Asset::find($asset->id);
                      $asst->qty = $qty2;
                      $asst->save();
                    }
         if($assetcustomer){
         $asst = Asset::find($assetcustomer->id);
         $asst->qty = ($assetcustomer->qty + $request->qty[$val]);
          $asst->save();
         }  
         else{   
Asset::create([
                 'c_id' =>  $request->customer,
                 'mas_id' => $val,
                 'qty' => $request->qty[$val],
                            ]);

    }}
}}
else{
            Asset::create([
                 'c_id' =>  $request->customer,
                 'mas_id' => $val,
                 'qty' => $request->qty[$val],
                            ]);
          }

//30/3/2017  no need decrese quantity from master
                  /*$qtydiff = Master::find($val);
                  $qtynow =  ($qtydiff->prt_qty - $request->qty[$val]);
                  $qtydiff->mas_status = ($qtynow) ? '1':'0';
                  $qtydiff->prt_qty = $qtynow;
                  $qtydiff->save();*/

//30/3/2017  ends no need decrese quantity from master

                //  print_r($qtydiff);
                  // echo $qtydiff->prt_qty.'<br>'.$request->qty[$val].'<br>';
                  //
                  // echo $qtynow; exit;
                  // if($qtynow == 0)
                  // $qtydiff->delete();
                  // else{
                  //   $qtydiff->prt_qty = $qtynow;
                  //   $qtydiff->save();
                  // }

        }
            $request->session()->flash('success', 'Asset Allocated Successfully');
             return redirect()->route("asset.index");

//print_r($_POST); die;


     }
    }

public function assetstore(Request $request)
    {
      if ($request->isMethod('post')) {

           //$master = new Asset;
           //var_dump($request->asset); die;
           foreach($request->asset as $val){
             //print_r($val) ;exit;
          //  echo $quantity  = $request->qty[$val];
         

            Part::create([
                 'c_id' =>  $request->customer,
                 'cat_id' => $request->category,
                 'ser_id' => $val,
                  'c_start_date' =>date('Y-m-d',strtotime($request->st_date)),
                   'c_end_date' => date('Y-m-d',strtotime($request->end_date)),
                            ]);

                  
                //  print_r($qtydiff);
                  // echo $qtydiff->prt_qty.'<br>'.$request->qty[$val].'<br>';
                  //
                  // echo $qtynow; exit;
                  // if($qtynow == 0)
                  // $qtydiff->delete();
                  // else{
                  //   $qtydiff->prt_qty = $qtynow;
                  //   $qtydiff->save();
                  // }

        }
            $request->session()->flash('success', 'Asset Allocated Successfully');
             return redirect("allocateasset");

//print_r($_POST); die;


     }
    }


public function tassetstore(Request $request)
    {
      if ($request->isMethod('post')) {

           //$master = new Asset;
           //var_dump($request->asset); die;
           foreach($request->asset as $val){
             //print_r($val) ;exit;
          //  echo $quantity  = $request->qty[$val];
         

            Part::create([
                 'c_id' =>  $request->customer,
                 'cat_id' => $request->category,
                 'ser_id' => $val,
                  'c_start_date' =>date('Y-m-d',strtotime($request->st_date)),
                   'c_end_date' => date('Y-m-d',strtotime($request->end_date)),
                            ]);

                  
                //  print_r($qtydiff);
                  // echo $qtydiff->prt_qty.'<br>'.$request->qty[$val].'<br>';
                  //
                  // echo $qtynow; exit;
                  // if($qtynow == 0)
                  // $qtydiff->delete();
                  // else{
                  //   $qtydiff->prt_qty = $qtynow;
                  //   $qtydiff->save();
                  // }

        }
            $request->session()->flash('success', 'Asset Allocated Successfully');
             return redirect("tmastasset");

//print_r($_POST); die;


     }
    }
    /*Engg module*/
    public function tstore(Request $request)
    {
      if ($request->isMethod('post')) {

           //$master = new Asset;
           //var_dump($request->asset); die;
           foreach($request->asset as $val){
            // echo $val;
          //  echo $quantity  = $request->qty[$val];

          $master = Master::find($val);
$asset=  Asset::getassetqty($val);
$assetcustomer=  Asset::getassetqtycus($val,$request->customer);


///is assigned to customer
if ($asset){
if($asset->qty !=0){
               
  $qtyy=(($master->prt_qty - ($asset->qty + $request->qty[$val])));
    ////need to borrow
    if($qtyy<0){
            $qty2=($asset->qty - $request->qty[$val]);

                   if($qty2==0){
                ////delete asset
                    $asst = Asset::find($asset->id);
                    $asst->delete();
                                }
                    else{
                      //update asset
                      $asst = Asset::find($asset->id);
                      $asst->qty = $qty2;
                      $asst->save();
                    }
 if($assetcustomer){
         $asst = Asset::find($assetcustomer->id);
         $asst->qty = ($assetcustomer->qty + $request->qty[$val]);
          $asst->save();
         }  
         else{   
Asset::create([
                 'c_id' =>  $request->customer,
                 'mas_id' => $val,
                 'qty' => $request->qty[$val],
                            ]);

    }

    }
}}
else{
            Asset::create([
                 'c_id' =>  $request->customer,
                 'mas_id' => $val,
                 'qty' => $request->qty[$val],
                            ]);
          }
//30/3/2017  no need decrese quantity from master
                 /* $qtydiff = Master::find($val);
                  $qtynow =  ($qtydiff->prt_qty - $request->qty[$val]);
                  $qtydiff->mas_status = ($qtynow) ? '1':'0';
                  $qtydiff->prt_qty = $qtynow;
                  $qtydiff->save();*/

 //30/3/2017  no need decrese quantity from master
                //  print_r($qtydiff);
                  // echo $qtydiff->prt_qty.'<br>'.$request->qty[$val].'<br>';
                  //
                  // echo $qtynow; exit;
                  // if($qtynow == 0)
                  // $qtydiff->delete();
                  // else{
                  //   $qtydiff->prt_qty = $qtynow;
                  //   $qtydiff->save();
                  // }

        }
            $request->session()->flash('success', 'Asset Allocated Successfully');
             return redirect("tmastasset");

//print_r($_POST); die;


     }
    }

    /*ends here*/

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }


    public function custAjax($id)
    {
      $cust = Asset::getClientByLoc($id);

     //echo '<pre>'; print_r($models);die;
      return json_encode($cust);
    }

   
    public function listAjax($oemid,$mid)
    {
      if($oemid !=0 && $mid !=0){
        $list = Asset::getAssetByModel($oemid,$mid);
      }else {
        $list = Asset::getAssetByOem($oemid);
      }

        //$list = array('hhhah'=>'hfhfhfh');
    //  echo '<pre>'; print_r($models);die;
      return json_encode($list);
    }
 public function listAssetAjax($catid,$serid)
    {
      if($catid !=0 && $serid !=0){
        $list = Asset::getAssetBySerial($catid,$serid);
      }else {
        $list = Asset::getAssetByCat($catid);
      }

        //$list = array('hhhah'=>'hfhfhfh');
    //  echo '<pre>'; print_r($models);die;
      return json_encode($list);
    }


}
