<?php

namespace Ticket;
use DB;

use Illuminate\Database\Eloquent\Model;

class Material extends Model
{
    
    protected static function getLastNo($warehouse) {
    $serach='MRF'.$warehouse;
    $models = DB::table('materials')->select("form_no","id")
                ->where("form_no", "LIKE", "%$serach%")
				->orderBy("form_no","desc")
                ->first();
                //$users = DB::select("SELECT form_no FROM materials WHERE form_no LIKE %MRFBLR% order by form_no desc limit 1");

              // $queries = DB::getQueryLog();
          // echo '<pre>'; print_r($queries);die;
    return $models;
  }
protected static function getAllMatDetails($id) {
     $results = DB::table('materials')
     ->select('materials.id','oems.oem_name','oemmodels.mod_name','locations.loc_name','materials.prt_no','materials.prt_no','materials.prt_desc','materials.prt_qty','materials.remark','materials.warehouse','materials.service_no','materials.form_no','materials.created_at','teches.tc_name','customers.c_name','materials.status','materials.updated_at')
   ->join('oems', 'oems.id', '=', 'materials.oem_id')
   ->join('oemmodels', 'oemmodels.id', '=', 'materials.mod_id')
   ->join('locations', 'locations.id', '=', 'materials.loc_id')
   ->join('teches', 'teches.id', '=', 'materials.tech_id')
    ->join('customers', 'customers.id', '=', 'materials.c_id')
   ->where('materials.id', '=', $id)
   ->first();
    return $results;
  }


protected static function getRequestById($id) {
     $results = DB::table('materials')
     ->select('materials.id','oems.oem_name','oemmodels.mod_name','locations.loc_name','materials.prt_no','materials.prt_no','materials.prt_desc','materials.prt_qty','materials.remark','materials.warehouse','materials.service_no','materials.form_no','materials.created_at','teches.tc_name','customers.c_name','categories.cat_name','serials.serial_no','materials.status','materials.updated_at','teches.tc_email')
     ->join('categories', 'categories.id', '=', 'materials.cat_id')
     ->join('serials', 'serials.id', '=', 'materials.serial_id')
   ->join('oems', 'oems.id', '=', 'materials.oem_id')
   ->join('oemmodels', 'oemmodels.id', '=', 'materials.mod_id')
   ->join('locations', 'locations.id', '=', 'materials.loc_id')
   ->join('teches', 'teches.id', '=', 'materials.tech_id')
    ->join('customers', 'customers.id', '=', 'materials.c_id')
   ->where('materials.id', '=', $id)
   ->first();
    return $results;
  }
}
