@extends('layouts.dashboard')

@section('content')

            <!-- Right side column. Contains the navbar and content of the page -->

            <aside class="right-side">                

                <!-- Content Header (Page header) -->

                <section class="content-header">

                    <h1>

                        Dashboard

                        <small>Control panel</small>

                    </h1>

                    <!-- <ol class="breadcrumb">

                        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>

                        <li class="active">Dashboard</li>

                    </ol>
 -->
                </section>



                <!-- Main content -->

                <section class="content">

          

                    <div class="row" style="margin: 20px 0px;">

                        <div class="col-lg-3 col-xs-12">

                            <!-- small box -->

                            <div class="small-box bg-aqua" align="center">

                                <div class="inner">

                                    <div class="icon">

                                    <i class="fa fa-map-marker" aria-hidden="true"></i>

                                    </div>

                                    <h3 style="margin:0px;">

                                        Manage Locations

                                    </h3>

                                    <p style="margin:0px;">

                                       Locations: {{ $locsCount->loc_count }}

                                    </p>

                                     <a href="{{ action('LocationController@index') }}" class="small-box-footer">

                                        Click here <i class="fa fa-arrow-circle-right"></i>

                                    </a>

                                </div>
                               
                                

                                <!-- <a href="{{ action('LocationController@index') }}" class="small-box-footer">

                                    More info <i class="fa fa-arrow-circle-right"></i>

                                </a> -->

                            </div>

                        </div><!-- ./col -->

                        <div class="col-lg-3 col-xs-12">

                            <!-- small box -->

                            <div class="small-box bg-aqua" align="center">

                                <div class="inner">

                                    <div class="icon">

                                    <i class="fa fa-users" aria-hidden="true"></i>

                                    </div>

                                    <h3 style="margin:0px;">

                                        Manage Customers

                                    </h3>

                                    <p style="margin:0px;">

                                    Active customers: {{ $custCount->cus_count }} 

                                    </p>

                                    <a href="{{ action('CustomerController@index') }}" class="small-box-footer">

                                        Click here <i class="fa fa-arrow-circle-right"></i>

                                    </a>

                                </div>

                                

                                <!-- <a href="{{ action('CustomerController@index') }}" class="small-box-footer">

                                    More info <i class="fa fa-arrow-circle-right"></i>

                                </a> -->

                            </div>

                        </div><!-- ./col -->

                        <!--<div class="col-lg-3 col-xs-12">


                            <div class="small-box bg-aqua" align="center">

                                <div class="inner">

                                    <div class="icon">

                                   <i class="fa fa-users" aria-hidden="true"></i>

                                    </div>

                                    <h3 style="margin:0px;">

                                        Manage Assets

                                    </h3>

                                    <p>

                                        New Asset

                                    </p>

                                </div>

                                

                                 <a href="{{ action('MasterController@index') }}" class="small-box-footer">

                                    More info <i class="fa fa-arrow-circle-right"></i>

                                </a> 

                            </div>

                        </div>-->

                        <div class="col-lg-3 col-xs-12">

                            <!-- small box -->

                            <div class="small-box bg-aqua" align="center">

                                <div class="inner">

                                    <div class="icon">

                                    <i class="ion ion-pie-graph"></i>

                                    </div>


                                    <h3 style="margin:0px;">

                                        Manage Engineers

                                    </h3>

                                    <p style="margin:0px;">

                                        {{ $tecsCount->tech_count }}

                                    </p>

                                    <a href="{{ action('TechController@index') }}" class="small-box-footer">

                                        Click here <i class="fa fa-arrow-circle-right"></i>

                                    </a>

                                </div>

                                
                                <!-- <a href="{{ action('TechController@index') }}" class="small-box-footer">

                                    More info <i class="fa fa-arrow-circle-right"></i>

                                </a> -->

                            </div>

                        </div><!-- ./col -->

                    
                        <div class="col-lg-3 col-xs-12">

                            <!-- small box -->

                            <div class="small-box bg-aqua" align="center">

                                <div class="inner">

                                    <div class="icon">

                                    <i class="ion ion-bag"></i>

                                    </div>

                                    
                                    <h3 style="margin:0px;">

                                        Manage Tickets

                                    </h3>

                                    <p style="margin:0px;">

                                      Total: {!! $tCount->tic_count !!}

                                    </p>

                                    <a href="{{ action('TechController@index') }}" class="small-box-footer">

                                        Click here <i class="fa fa-arrow-circle-right"></i>

                                    </a>

                                </div>

                                
                                <!-- <a href="#" class="small-box-footer">

                                    More info <i class="fa fa-arrow-circle-right"></i>

                                </a> -->

                            </div>

                        </div><!-- ./col -->

                         <!-- <div class="col-lg-3 col-xs-12">


                            <div class="small-box bg-aqua" align="center">

                                <div class="inner">

                                    <div class="icon">

                                    <i class="ion ion-stats-bars"></i>

                                    </div>

                                    <h3 style="margin:0px;">

                                        Ticket Tracking

                                    </h3>
                                    <p>

                                       {!! $tCount->tic_count !!}

                                    </p>
                                </div>

                                
                            
                               <a href="{{ action('TicketController@index') }}" class="small-box-footer">

                                    More info <i class="fa fa-arrow-circle-right"></i>

                                </a>

                              


                            </div>

                        </div> -->

                        <!--<div class="col-lg-3 col-xs-12">


                            <div class="small-box bg-aqua" align="center">

                                <div class="inner">

                                    <div class="icon">

                                    <i class="ion ion-person-add"></i>

                                    </div>

                                    <h3 style="margin:0px;">

                                        Reports

                                    </h3>

                                    <p>

                                       Reports

                                    </p>

                                </div>

                                

                                 <a href="#" class="small-box-footer">

                                    More info <i class="fa fa-arrow-circle-right"></i>

                                </a> 

                            </div>

                        </div>-->
                        <div class="row">
                        <div class="col-lg-6 col-xs-12">
                        <div id="piechart" style="width: auto; height: 300px;"></div>
                        </div>
                        <div class="col-lg-6 col-xs-12">
                        <div id="piechart2" style="width: auto; height: 300px;"></div>
                        </div>
                        </div>
                        <div class="row">
                        <div class="col-lg-12 col-xs-12">
                         <div id="columnchart" style="width:auto !important; height: 300px; margin-top: 15px; margin-bottom: 15px;"></div>
                        </div>
                        </div>
                        <!-- <div class="col-lg-12 col-xs-12">
                         <div id="regions_div" style="width: auto; height: 300px;"></div>
                        </div> -->
                    </div>

                    
                   

                </section><!-- /.content -->

            </aside><!-- /.right-side -->

            @endsection
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
  <script type="text/javascript">
      google.charts.load("current", {packages:["corechart"]});
      google.charts.setOnLoadCallback(drawChart);
      function drawChart() {
    
       var record={!! json_encode($sla) !!};
       //console.log(record);
       // Create our data table.
       var data = new google.visualization.DataTable();
       //console.log(data)
        data.addColumn('string', 'SLA');
       data.addColumn('number', 'Total_SLA');
       for(var k in record){
            var v = record[k];
           
             data.addRow([k,v]);
          //console.log(v);
          }
        var options = {
          pieSliceText: 'value, label',  
          title: 'Overall SLA',
          is3D: true,
        };
        var chart = new google.visualization.PieChart(document.getElementById('piechart'));
        chart.draw(data, options);
      }


     
    </script>

    <script type="text/javascript">
     google.charts.load("current", {packages:["corechart"]});
      google.charts.setOnLoadCallback(drawChart);
      function drawChart() {
    
       var record={!! json_encode($ticMonth) !!};
       //console.log(record);
       // Create our data table.
       var data = new google.visualization.DataTable();
       //console.log(data)
        data.addColumn('string', 'Locations');
       data.addColumn('number', 'Ticket Count');
       for(var k in record){
            var v = record[k];
           
             data.addRow([k,v]);
         // console.log(v);
          }
        var options = {
          
           title: 'Ticket count by Location',
           //width: 1100,
           height: 500,
           legend: 'none',
           bar: {groupWidth: '75%'},
           colors: ['red','black'],
          // vAxis: { gridlines: { count: 4 } },
           animation: {
                    duration: 2500,
                    startup: true //This is the new option
                },
        };
        var chart = new google.visualization.ColumnChart(document.getElementById('columnchart'));
        chart.draw(data, options);
      }
    </script>

     <script type="text/javascript">
      google.charts.load("current", {packages:["corechart"]});
      google.charts.setOnLoadCallback(drawChart);
      function drawChart() {
    
       var record={!! json_encode($assetlist) !!};
       //console.log(record);
       // Create our data table.
       var data = new google.visualization.DataTable();
       //console.log(data)
        data.addColumn('string', 'Supplier');
       data.addColumn('number', 'usage');
       for(var k in record){
            var v = record[k];
           
             data.addRow([k,v]);
          //console.log(v);
          }
        var options = {
          pieSliceText: 'value',  
          title: 'Asset Usage',
          is3D: true,
        };
        var chart = new google.visualization.PieChart(document.getElementById('piechart2'));
        chart.draw(data, options);
      }


     
    </script>
     <script type="text/javascript">
     google.charts.load('current', {'packages':['geochart'],'mapsApiKey': 'AIzaSyDkUW5tuuicSZndR0ffPBhGdXV10KEgR-k'
      });
      google.charts.setOnLoadCallback(drawRegionsMap);
      function drawRegionsMap() {
    
       var record={!! json_encode($ticLoc) !!};
       console.log(record);
       // Create our data table.
       var data = new google.visualization.DataTable();

  data.addColumn('string', 'State');
  data.addColumn('number', 'Applications');
  //data.addColumn('number', 'Expense');
      
  for (var k in record) {
    //console.log(jsonData[i].st_name)
        var v = record[k];
           
             data.addRow([k,v]);
  }

        var options = {
        displayMode: 'markers',
        colorAxis: {colors: ['purple', 'red']}};
       

        var chart = new google.visualization.GeoChart(document.getElementById('regions_div'));

        chart.draw(data, options);
      }


     
    </script>
