@extends('layouts.dashboard')

@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        FE Assistance
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">FE Assistance</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">FE Assistance</h3>
                                </div>
                               {!! Form::model($assistance,['method' => 'PATCH','route'=>['assistance.update',$assistance->id],'id'=>'formAssistanceEdit', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data']) !!}
              {{ csrf_field() }}
              <?php  $date= date('m/d/y',strtotime($assistance->date));
             $time= date('h:i A',strtotime($assistance->time));
              ?>

              <div class="box-body">
                                <div class="row">
                                <div class="col-md-6">
                                  <div class="form-group">
                                      <label>Skills Need For FE</label>
                                      
                                        <input type="text" class="form-control" name="skills" value="{{ $assistance->skills ? : old('skills') }}"/>
                                    </div>
                                    </div>
                                    <div class="col-md-6">
                                  <div class="form-group">
                                      <label>No: of FE Needed</label>
                                 
                                         <input type="text" class="form-control" name="num" value="{{ $assistance->no_fe ? : old('no_fe') }}"/>
                                    </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-6">
                                    <div class="form-group col-lg-6 no-padding">
                                        <label>Date</label>
                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-calendar"></i>
                                            </div>
                                            <input class="form-control pull-right" id="datepicker" type="text" name="dates" value="{{ $date ? : old('date') }}">
                                        </div><!-- /.input group -->
                                    </div>
                                    
                                    <div class="bootstrap-timepicker col-lg-6" style="padding-right:0px;">
                                        <div class="form-group">
                                            <label>Time</label>
                                            <div class="input-group">                                            
                                                <input type="text" class="form-control timepicker" name="times" value="{{ $time ? : old('time') }}"/>
                                                <div class="input-group-addon">
                                                    <i class="fa fa-clock-o"></i>
                                                </div>
                                            </div><!-- /.input group -->
                                        </div><!-- /.form group -->
                                    </div>
                                    </div>
                                    <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Location</label>
                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                          <select class="form-control" name="location" id="location">
                              <option value="">Select</option>
                              @foreach ($locs as $loc)
                              <option value="{{$loc->id}}" @if ($loc->id == $assistance->loc_id) selected="selected" @endif >{{$loc->loc_name}}</option>
                              @endforeach
                          </select>
                          <input type="text" class="form-control" name="location" value="{{ $assistance->location ? : old('location') }}"/>
                                        </div>
                                    </div>
                                    </div>
                                    </div>
                                    
                                
                                
                                <div class="col-lg-12" align="center" style="margin:10px 0px 20px;">
                                      <button type="submit" class="btn btn-danger">Update FE Requirements</button>
                                        
                                    </div>
                                </div><!-- /.box-body -->
 {!! Form::close() !!}
                            </div><!-- /.box -->
                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->                    

                </section><!-- /.content -->
            </aside><!-- /.right-side -->
@endsection
