<?php $__env->startSection('content'); ?>
<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            View Location
        </h1>
        <!-- <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Tables</a></li>
            <li class="active">View Location</li>
        </ol> -->
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="box box-danger box-widget">
                <div class="widget-head clearfix">
                        <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                        <h4 class="box-title">View Location</h4>
                    </div><!-- /.box-header -->
                   <div class="col-md-12 box-body">
                        <table id="example2" class="table dt-table table-striped table-hover table-bordered matmix-dt">
                            <thead style="background:#e9e9e9;">
                                <tr>
                                    <th width="5%">No#</th>
                                    <th width="12%">Country</th>
                                    <th width="13%">State</th>
                                    <th width="11%">City</th>
                                    <th width="25%">Location</th>
                                    <th width="14%">Status </th>
                                    <th width="19%">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $locations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $element): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                                <tr>
                                    <td><?php echo e($index+1); ?></td>
                                    <td><?php echo e($element->con_name); ?></td>
                                    <td><?php echo e($element->st_name); ?></td>
                                    <td><?php echo e($element->ct_name); ?></td>
                                    <td><?php echo e($element->loc_name); ?></td>
                                    <?php  if($element->loc_status == 1){

                                                $status = 'Active';

                                                $class = 'label label-info';

                                            } else {

                                                $status = 'In-Active';

                                                $class = 'label label-warning';

                                            } ?>
                                    <td><div class="activeTab">
                                        <label class="<?php echo $class; ?>"><?php echo $status; ?></label></a>
                                        </div>
                                    </td>
            <td>
              <a class="btn btn-primary" href="<?php echo e(url('tlocedit', $element->id)); ?>">
<span class="glyphicon glyphicon-edit"></span> Edit
</a>
<?php echo e(Form::open(array('method'
=> 'GET', 'action' =>['LocationController@tdestroy', $element->id], 'style' => 'display:inline !important;'))); ?><button class="btn btn-danger" data-id="<?php echo e($element->id); ?>" data-title="<?php echo e($element->loc_name); ?>">
<span class="glyphicon glyphicon-trash"></span> Delete
</button>

<?php echo Form::close(); ?>

            </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>

                            </tbody>
                        </table>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->

            </div>
        </div>

    </section><!-- /.content -->
</aside>
<?php $__env->stopSection(); ?>
<script type="text/javascript">

    function delete_loc(stId) {
         swal({
            title: "Are you sure?",
            text: "You will not be able to recover this data!",
            type: "warning",
            showCancelButton: true,
            confirmButtonClass: "btn-danger",
            confirmButtonText: "Yes, delete it!",
            cancelButtonText: "No, cancel the actions!",
            closeOnConfirm: false,
            closeOnCancel: false
         },

         function(isConfirm) {
            if (isConfirm) {
               //swal("Deleted!", "State has been deleted.", "success");

               //ajax delete data to database country.destroy
               $.ajax({
                  type: "GET",
                  // url: '<?php //echo url('/delete_con')?>/'
                   url: "<?php echo e(url('/tdelete_loc')); ?>/"+stId,
                  //data: {id:stId},

                  //dataType: "JSON",

                  success: function(data) {
                     //table.ajax.reload(null, false); //just reload table
                      $("#loclist").load(window.location + " #loclist");
                       swal("Deleted!", "Location has been deleted.", "success");
                 },
                  error: function(jqXHR, textStatus, errorThrown) {
                     alert('Error deleting data');
                 }
               });
            } else {

               swal("Cancelled", "Data is safe :)", "error");

            }

         });

      }  



</script>

<?php echo $__env->make('layouts.tdashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>