<?php

namespace Ticket;

use Illuminate\Database\Eloquent\Model;
use DB;
class Customer extends Model
{

  protected static function getContrat() {
    $results = DB::table('contracts')
                 ->select('id', 'cont_name')
                 ->where('cont_status', '=', '1')
                 ->get();

    return $results;
  }
  protected static function getLoginDetails($id) {
    $results = DB::table('logins')
                 ->select('id', 'email','pwd','role')
                 ->where('user_id', '=', $id)
                 ->get();

    return $results;
  }
  protected static function getAllcus() {
      $results = DB::table('customers')      
       ->select('customers.id','customers.c_name','customers.cmpy_name', 'customers.c_address','customers.c_email','customers.c_phn','customers.c_pwd',  'customers.c_role', 'contracts.cont_name', 'customers.c_sla', 'locations.loc_name')
        ->leftjoin('contracts', 'contracts.id', '=', 'customers.c_con_type')
        ->leftjoin('locations', 'locations.id', '=', 'customers.loc_id')        
        ->where('customers.c_status', '=', '1')

        ->get(); // Notice the shares.* here
        return $results;
    }
     protected static function getAllcussla() {
      $results = DB::table('customers')
      ->distinct()
       ->select('customers.id','customers.c_name','customers.cmpy_name', 'customers.c_address','customers.c_email','customers.c_phn','customers.c_pwd',  'customers.c_role', 'contracts.cont_name','locations.loc_name','parts.c_start_date','parts.c_end_date')
        ->leftjoin('contracts', 'contracts.id', '=', 'customers.c_con_type')
        ->leftjoin('locations', 'locations.id', '=', 'customers.loc_id')
         ->leftjoin('parts', 'parts.c_id', '=', 'customers.id')
        ->where('customers.c_status', '=', '1')

        ->get(); // Notice the shares.* here
        return $results;
    }
     protected static function getAllcusslaId($id) {
      $results = DB::table('customers')
      ->distinct()
       ->select('customers.id','customers.c_name','customers.cmpy_name', 'customers.c_address','customers.c_email','customers.c_phn','customers.c_pwd',  'customers.c_role', 'contracts.cont_name','locations.loc_name','parts.c_start_date','parts.c_end_date')
        ->leftjoin('contracts', 'contracts.id', '=', 'customers.c_con_type')
        ->leftjoin('locations', 'locations.id', '=', 'customers.loc_id')
         ->leftjoin('parts', 'parts.c_id', '=', 'customers.id')
        ->where('customers.id', '=', $id)
        ->first(); // Notice the shares.* here
        return $results;
    }
    protected static function getCusByID($id) {
      $results = DB::table('customers')
       ->select('customers.id','customers.c_name','customers.cmpy_name', 'customers.c_address','customers.c_email','customers.c_phn','customers.c_pwd',  'customers.c_role', 'contracts.cont_name','locations.loc_name','customers.c_sla','countries.con_name','states.st_name','cities.ct_name')
        ->leftjoin('contracts', 'contracts.id', '=', 'customers.c_con_type')
        ->leftjoin('locations', 'locations.id', '=', 'customers.loc_id')
        ->leftjoin('cities', 'cities.id', '=', 'locations.ct_id')
        ->leftjoin('states', 'states.id', '=', 'locations.st_id')
        ->leftjoin('countries', 'countries.id', '=', 'locations.con_id')
        ->where('customers.id', '=', $id)
        ->first(); // Notice the shares.* here
        return $results;
    }


    protected static function getAllAssetcus($id) {
      $results = DB::table('customers')
       ->select('categories.id','categories.cat_name','serials.serial_no','parts.c_start_date','parts.c_end_date','serials.id as serialid')
       ->leftjoin('parts', 'customers.id', '=', 'parts.c_id')
      ->leftjoin('categories', 'parts.cat_id', '=', 'categories.id')
      ->leftjoin('serials', 'parts.ser_id', '=', 'serials.id')
      ->distinct()
      ->where('customers.id', '=', $id)
        ->get(); // Notice the shares.* here
        return $results;
    }
    protected static function getassetListBYcus($id) {
   $results = DB::table('customers')
   ->select('masters.id','masters.oem_id','masters.mod_id','masters.loc_id','masters.prt_no','masters.prt_desc','masters.prt_qty','masters.sn','oems.oem_name','oemmodels.mod_name','categories.cat_name','serials.serial_no','countries.con_name','states.st_name','cities.ct_name','locations.loc_name','assets.qty','masters.serial_no as master_serial')
   ->leftjoin('assets', 'customers.id', '=', 'assets.c_id')
   ->leftjoin('masters', 'masters.id', '=', 'assets.mas_id')
   ->leftjoin('categories', 'categories.id', '=', 'masters.cat_id')
   ->leftjoin('oems', 'oems.id', '=', 'masters.oem_id')
   ->leftjoin('serials', 'serials.id', '=', 'oems.serial_id')
   ->leftjoin('oemmodels', 'oemmodels.id', '=', 'masters.mod_id')
   ->leftjoin('locations', 'locations.id', '=', 'masters.loc_id')
   ->leftjoin('cities', 'cities.id', '=', 'locations.ct_id')
   ->leftjoin('states', 'states.id', '=', 'locations.st_id')
   ->leftjoin('countries', 'countries.id', '=', 'locations.con_id')
  
  //  if($mId){
  //     ->where('oemmodels.id', '=', $mId)
  //  }
   //->where('master.mas_status', '=', '1')
   ->where('customers.id', '=', $id)
   ->distinct()
   
   ->get(); // Notice the shares.* here
   //var_dump($results); die;

  return $results;
  }


}
