@extends('layouts.dashboard')
@section('content')
<!-- @foreach($oems as $oem)
{{$oem->oem_name}}
@endforeach-->
 <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Add OEM
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Add OEM</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">Original Equipment Manufacture (OEM)</h3>
                                </div>
                                <div class="box-body">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Add OEM</label>

<!--  <form class="form-horizontal" role="form" method="PUT" action="{{ url('oem/store') }}"> -->
{{ Form::open(array('route' => 'oem.store','id'=>'formOem', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}
 {{ csrf_field() }}

                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            <input type="text" class="form-control" style="float:left; width:75%; margin-right:5px;" name="oem_name" required />
                                            <button type="submit" class="btn btn-danger">Add OEM</button>
                                        </div>
                                        {!! Form::close() !!}


                                    </div>
                </div>
                                <div class="col-md-12" style="margin-bottom:20px;">


                                    <table id="example2" class="table table-bordered table-hover">
                                            <thead style="background:#e9e9e9;">
                                                <tr>
                                                    <th width="15%">No#</th>
                                                    <th width="55%">OEM</th>
                                                    <th width="15%">Action </th>
                                                    <th width="15%">Status</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            @foreach ($oems as $index => $element)
                                                <tr class="item{{$element->oem_id}}">
                                                    <td>{{$index+1}}</td>
                                                    <td>{{$element->oem_name}}</td>
                                                    <td><div class="activeTab">
      													<a href="#" class="active_btn">Active</a>
      													<a href="#">Inactive</a>
  													</div></td>
                            <td>
                              <button class="delete-modal btn btn-danger" data-id="{{$element->oem_id}}" data-title="{{$element->oem_name}}" >
              <span class="glyphicon glyphicon-trash"></span> Delete
            </button>
                            </td>
                                                </tr>
                                                @endforeach

                                            </tbody>
                                        </table>
                                </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->

                </section><!-- /.content -->
            </aside><!-- /.right-side -->
            <div id="myModal" class="modal fade" role="dialog">
     <div class="modal-dialog">
       <div class="modal-content">
         <div class="modal-header">
           <button type="button" class="close" data-dismiss="modal">&times;</button>
             <h4 class="modal-title"></h4>
         </div>
         <div class="modal-body">
           <form class="form-horizontal" role="form">
             <div class="form-group">
               <label class="control-label col-sm-2" for="id">ID :</label>
               <div class="col-sm-10">
                 <input type="text" class="form-control" id="fid" disabled>
               </div>
               </div>
               <div class="form-group">
               <label class="control-label col-sm-2" for="title">Title:</label>
               <div class="col-sm-10">
                 <input type="name" class="form-control" id="t">
               </div>
             </div>
             <div class="form-group">
             <label class="control-label col-sm-2" for="description">Description:</label>
             <div class="col-sm-10">
               <input type="name" class="form-control" id="d">
             </div>
           </div>
           </form>
             <div class="deleteContent">
             Are you Sure you want to delete <span class="title"></span> ?
             <span class="hidden id"></span>
           </div>
           <div class="modal-footer">
             <button type="button" class="btn actionBtn" data-dismiss="modal">
               <span id="footer_action_button" class='glyphicon'> </span>
             </button>
             <button type="button" class="btn btn-warning" data-dismiss="modal">
               <span class='glyphicon glyphicon-remove'></span> Close
             </button>
           </div>
         </div>
       </div>
     </div>
   </div>
@endsection
