@extends('layouts.tdashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                         Manage FE Report 
                    </h1>
                    <!-- <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">FE Report</li>
                    </ol> -->
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4 class="box-title">FE Report</h4>
                                </div><!-- /.box-header -->
                                <div class="box-body table-responsive">
                                 
                                   
                                    <table id="example2" class="table dt-table table-striped table-hover table-bordered matmix-dt">
                                        <thead style="background:#e9e9e9;">
                                            <tr>
                                                <th width="6%">Ticket ID</th>
                                                <th width="11%">OEM</th>
                                                <th width="16%">OEM Model</th>
                                                <th width="10%">Part Number</th>
                                                <th width="11%">Ticket Subject</th>
                                                <th width="21%">Ticket Description</th>
                                                <th width="7%">Ticket Status</th>
                                               
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($tickets as $index => $element)
                                            <tr>
                                                <td><a href="{{ route('report.show', array('id' => $element->id)) }}">TIC000{{$element->id}}</a></td>
                                                <td>{{$element->oem_name}}</td>
                                                <td>{{$element->mod_name}}</td>
                                                <td>{{$element->prt_no}}</td>
                                                <td>{{$element->tic_subject}}</td>
                                                <td>{{$element->tic_desc}}</td>
                                                <td>{{$element->sta_name}}</td>
                                                
                                                <!-- <td><div class="activeTab">
                                      <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                      <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
                                        </div></td> -->
                                   
                                </tr>
                                @endforeach
                                            
                                        </tbody>
                                    </table>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->
                            
                        </div>
                    </div>
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
       
@endsection
