
<?php $__env->startSection('content'); ?>

<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            CSV Asset Upload
        </h1>
        <ol class="breadcrumb">
            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">CSV Asset Upload</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">

                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title">CSV Asset Upload</h3>
                    </div>
                    <div class="box-body">
                      <div class="panel-body">

		  		<?php if($message = Session::get('success')): ?>
					<div class="alert alert-success" role="alert">
						<?php echo e(Session::get('success')); ?>

					</div>
				<?php endif; ?>

				<?php if($message = Session::get('error')): ?>
					<div class="alert alert-danger" role="alert">
						<?php echo e(Session::get('error')); ?>

					</div>
				<?php endif; ?>

				<h3>Import File Form:</h3>
				<form style="border: 4px solid #a1a1a1;margin-top: 15px;padding: 20px;" action="<?php echo e(URL::to('importExcel')); ?>" class="form-horizontal" method="post" enctype="multipart/form-data">

					<input type="file" name="import_file" />
					<?php echo e(csrf_field()); ?>

					<br/>

					<button class="btn btn-primary">Import Excel File</button>

				</form>
				<br/>
                <p><a href="<?php echo URL::to('/'); ?>/img/master.xlsx" target="_blank">Click here</a> for sample Excel file</p>


		    	<!-- <h3>Import File From Database:</h3>
		    	<div style="border: 4px solid #a1a1a1;margin-top: 15px;padding: 20px;">
			    	<a href="<?php echo e(url('downloadExcel/xls')); ?>"><button class="btn btn-success btn-lg">Download Excel xls</button></a>
					<a href="<?php echo e(url('downloadExcel/xlsx')); ?>"><button class="btn btn-success btn-lg">Download Excel xlsx</button></a>
					<a href="<?php echo e(url('downloadExcel/csv')); ?>"><button class="btn btn-success btn-lg">Download CSV</button></a>
		    	</div> -->
                    </div><!-- /.box-body -->
                </div><!-- /.box -->

                <!-- /.box -->

            </div><!-- /.col (left) -->
        </div><!-- /.row -->

    </section><!-- /.content -->
</aside><!-- /.right-side -->
<script type="text/javascript">
// Fake file upload
document.getElementById('fake-file-button-browse').addEventListener('click', function() {
document.getElementById('files-input-upload').click();
});

document.getElementById('files-input-upload').addEventListener('change', function() {
document.getElementById('fake-file-input-name').value = this.value;

document.getElementById('fake-file-button-upload').removeAttribute('disabled');
});
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.tdashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>