<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

 <!-- Bootstrap core CSS -->
    <link href="<?php echo e(asset('css/bootstrap.min.css')); ?>" rel="stylesheet">

    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="<?php echo e(asset('css/ie10-viewport-bug-workaround.css')); ?>" rel="stylesheet">
 
    <!-- Custom styles for this template -->
    <link href="<?php echo e(asset('jumbotron-narrow.css')); ?>" rel="stylesheet">

    <!-- Theme style -->

        <?php echo e(Html::style('css/AdminLTE.css')); ?>


        <?php echo e(Html::style('css/components.css')); ?>


        <!-- font Awesome -->

        <?php echo e(Html::style('css/font-awesome.min.css')); ?>


        <!-- Ionicons -->

        <?php echo e(Html::style('css/ionicons.min.css')); ?>


    <!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    <!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
    <script src="<?php echo e(asset ('js/ie-emulation-modes-warning.js')); ?>"></script>
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title>Ssquad Business Intelligence</title>

    <!-- Styles -->
    <link href="/css/app.css" rel="stylesheet">

    <!-- Scripts -->
    <script>
        window.Laravel = <?php echo json_encode([
            'csrfToken' => csrf_token(),
        ]); ?>
    </script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.0.2/jquery.min.js"></script>
    <link href="http://fonts.googleapis.com/css?family=Roboto:400,300,400italic,500,500italic" rel="stylesheet" type="text/css">
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:400italic,600italic,400,600" rel="stylesheet" type="text/css">
</head>
<body class="skin-black">
        <header class="header">

            <a class="logo">

                <!-- Add the class icon to your logo image or logo icon to add the margining -->

                

                 <?php echo e(HTML::image("img/logo-iconic.png", "Ssquad")); ?>


            </a>

            <!-- Header Navbar: style can be found in header.less -->

            <nav class="navbar navbar-static-top" role="navigation">

                <!-- Sidebar toggle button
                <a href="#" class="navbar-btn sidebar-toggle" data-toggle="offcanvas" role="button">

                    <span class="sr-only">Toggle navigation</span>

                    <span class="icon-bar"></span>

                    <span class="icon-bar"></span>

                    <span class="icon-bar"></span>

                </a>-->


                <a class="logo_name">SSquad Business Intelligence</a>

                <div class="navbar-right">

                    <ul class="nav navbar-nav">

                        <!-- User Account: style can be found in dropdown.less -->

                        <li class="dropdown user user-menu">

                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">

                                <i class="glyphicon glyphicon-user"></i>

                                <span>Administrator <i class="caret"></i></span>

                            </a>

                            <ul class="dropdown-menu">

                                <!-- User image -->

                                

                                

                                <!-- Menu Footer-->

                                <li class="user-footer">

                                     <div class="pull-left">

                                        <a href="<?php echo e(action('HomeController@index')); ?>" class="btn btn-default btn-flat">Dashboard</a> 

                                    </div>
                                      <!-- <div class="pull-left">
                                        <a href="<?php echo e(url('password/reset')); ?>" class="btn btn-default btn-flat">Change Password</a>
                                    </div> -->

                                    <div class="pull-right">

                                        <a href="<?php echo e(url('logout')); ?>" class="btn btn-default btn-flat">Sign out</a>

                                    </div>

                                </li>

                            </ul>

                        </li>

                    </ul>

                </div>

            </nav>

        </header>
        <aside class="right-side">
            <section class="content-header">
                <h1>Reset Password</h1>
            </section>
        </aside>
        <?php echo $__env->yieldContent('content'); ?>


    <!-- Scripts -->
    <script src="https://ssquadglobal.com/ticket/js/app.js"></script>
</body>
</html>
