<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="https://www.w3.org/1999/xhtml">

<head>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<title>SLA Report</title>

<style>

.report_period {

	margin:0px;

	padding:10px;

	font-family:"Trebuchet MS", Arial, Helvetica, sans-serif;

	font-size:14px;

	color:#666;

}

.report_period_head {

	font-size:16px;

	font-weight:bold;

	color:#333;

	margin:0px;

	padding:0px;

}

.CustomerTable {

	margin:0px;

	padding:10px;

	border:solid 1px #c5c5c5;

}

.TicketTable {

	margin:0px;

	border:solid 1px #c5c5c5;

}

.table_head {

	background:#c5c5c5;

	color:#333;

}



.table_head td {

	border-right:solid 1px #fff;

	padding:10px;

	font-size:14px;

}

.table_head .last {

	border-right:none !important;

}

.table_cont td {

	border-bottom:solid 1px #c5c5c5;

	border-right:solid 1px #c5c5c5;

	padding:10px;

}

.last_bottom td {

	border-bottom:none !important;

	border-right:solid 1px #c5c5c5;

	padding:10px;

}

.table_cont .last {

	border-right:none !important;

}

.last_bottom .last {

	border-right:none !important;

}

.canvasjs-chart-credit {

	display:none;

}

.TicketDetail {

 position:relative;

 top:370px;

}



</style>



</head>



<body>



<a href="javascript:window.print()" style="float:right; margin:0px 10px 5px 0px;"><img src="https://23.245.146.36/ticket/img/printer-icon--icon-search-engine-1.png" /></a>

<table width="1000" border="0" cellspacing="0" cellpadding="0" align="center">

  <tr>

    <td height="5" align="left" valign="top" bgcolor="#ff0000"></td>

  </tr>

  <tr>

    <td height="1" align="left" valign="top" bgcolor="#FFFFFF"></td>

  </tr>

  <tr>

    <td height="5" align="left" valign="top" bgcolor="#333"></td>

  </tr>

  <tr>

    <td><img src="img/header.jpg" /></td>

  </tr>

  <tr>

  <?php $dat=explode(" - ",$reservation);

        $datefrom=date('jS M Y',strtotime($dat[0]));

        $dateto=date('jS M Y',strtotime($dat[1]));?>

    <td class="report_period">

    	<span class="report_period_head">SLA Report period:</span> From <?php echo $datefrom?> to <?php echo $dateto?>

       

    </td>

  </tr>

  <tr>

    <td class="report_period">

   	  <p class="report_period_head">Customer Details</p>

      <table width="100%" border="0" cellspacing="0" cellpadding="0" class="CustomerTable">
          <tr>

            <td width="500" height="30" align="left" valign="middle">Customer Name: <?php echo $customer->cmpy_name?></td>

            <td width="500" height="30" align="left" valign="middle">Phone: <?php echo $customer->c_phn?></td>

          </tr>

          <tr>

            <td height="30" align="left" valign="middle" colspan="2">Address: <?php echo $customer->c_address?></td>

          </tr>

          <tr>

            <td width="500" height="30" align="left" valign="middle">City: <?php echo $customer->ct_name?></td>

            <td width="500" height="30" align="left" valign="middle">State: <?php echo $customer->st_name?></td>

          </tr>

          <tr>

            <td width="500" height="30" align="left" valign="middle">Country: <?php echo $customer->con_name?></td>

            <td width="500" height="30" align="left" valign="middle">Email: <?php echo $customer->c_email?></td>

          </tr>

        </table>

         


    </td>

  </tr> 

  <tr>

    <td id="chartContainer" ></td>

  </tr>

  <tr>

    <td class="report_period TicketDetail">

   	  <p class="report_period_head">Ticket Details</p>

      <table width="100%" border="0" cellspacing="0" cellpadding="0" class="TicketTable">

          <tr class="table_head">

            <td>Ticket ID</td>

            <td>Ticket Subject </td>

            <td>Ticket Description </td>

            <td>Issued Date</td>
            <!-- <td>Closed Date</td> -->
            <td>Engineer</td>

            <td class="last">Status</td>

          </tr>

          <?php $i=0;

          $j=0;?>
           <?php $__currentLoopData = $results; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $result): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>

           <?php $i++;
           if($result->slr_meets=='1')
            $j++;?>
          <tr class="table_cont">

            <td width="150">TIC000<?php echo $result->id?></td>

             <td width="150"><?php echo ($result->tic_subject ?:'Nill')?></td>

              <td width="150"><?php echo ($result->tic_desc ?:'Nill')?></td>

            <td width="150"><?php echo date('d-M-Y',strtotime($result->created_at))?></td>

           <!-- <td width="150"><?php echo date('d-M-Y',strtotime($result->updated_at))?></td> -->

            <td width="400"><?php echo ($result->tc_name ?:'Not Assigned')?></td>

            <td width="150" class="last"><?php echo $result->sta_name?></td>

          </tr>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
          <?php

         // echo $i.'<br>'.$j;

         if($i){

          $slameetper=($j*100)/$i;

          $slanotmeetper=(100-$slameetper);

         }else

         {

          $slameetper=0;

          $slanotmeetper=100;



         }

          ?>

        </table>



    </td>

  </tr>

  

</table>


<script type="text/javascript" src="js/jquery-1.11.1.min.js"></script> 

<script type="text/javascript" src="js/jquery.canvasjs.min.js"></script> 

<script type="text/javascript"> 

	window.onload =function() { 

		$("#chartContainer").CanvasJSChart({ 

			title: { 

				text: "SLA Graph Report" 

			}, 

			data: [ 

			{ 

				type: "doughnut", 

				indexLabel: "{label}: {y}%",

				toolTipContent: "{label}: {y}%",

				dataPoints: [ 

					{ label: "SLA Not Met",       y: <?php echo $slanotmeetper?>}, 

					{ label: "SLA  Met",y:  <?php echo $slameetper?>} 

				] 

			} 

			] 

		}); 

	} 

</script>

</body>

</html>

