
<?php $__env->startSection('content'); ?>
<aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Customer Details
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="view_customer.html">View Customer</a></li>
                        <li class="active">Customer Details</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">Customer Details</h3>
                                </div>
                                <div class="box-body">
                                <div class="col-md-6">
                                    <div class="box box-solid">
                                        <div class="box-body">
                                            <dl class="dl-horizontal">
                                                <dt>Customer Name</dt>
                                                <dd><?php echo $customer->c_name?></dd>
                                                
                                                <dt>Company Name</dt>
                                                <dd> <?php echo $customer->cmpy_name?></dd>
                                                
                                                <dt>Communication Address</dt>
                                                <dd><?php echo $customer->c_address?></dd>
                                                
                                                <dt>Email ID</dt>
                                                <dd><?php echo $customer->c_email?></dd>
                                                
                                                <dt>Contact No.</dt>
                                                <dd><?php echo $customer->c_phn?></dd>
                                            </dl>
                                        </div><!-- /.box-body -->
                                    </div><!-- /.box -->
                            </div>
                                
                                <div class="col-md-6">
                                    <div class="box box-solid">
                                        <div class="box-body">
                                            <dl class="dl-horizontal">
                                                <dt>Location</dt>
                                                <dd><?php echo $customer->loc_name?></dd>
                                                
                                                <dt>Contract Type</dt>
                                                <dd><?php echo $customer->cont_name?></dd>
                                                 <?php //if($customer->c_sla){?>                                              
                                                <dt>Contract SLA</dt>
                                                <dd><?php echo $customer->c_sla?></dd>
                                                <dt>Contract Start Date</dt>
                                  <dd><?php echo date('d/m/Y',strtotime($customer->c_start_date))?></dd>
                                                
                                                <dt>Contract End Date</dt>
                                                <dd><?php echo date('d/m/Y',strtotime($customer->c_end_date))?></dd>
                                                <?php// }?>
                                            </dl>
                                        </div><!-- /.box-body -->
                                    </div><!-- /.box -->
                            </div>
                                </div><!-- /.box-body -->
                                <div class="col-md-12" style="margin-bottom:20px;">

                       <div id="assetAllocateList">
                       <div class="box-header">
                        <h3 class="box-title">Asset / Parts for <?php echo $customer->cmpy_name?></h3>
                       </div>
                        <?php $__currentLoopData = $assets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asset): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                        <table id="example" name="example2" class="table table-bordered table-hover">
                                <thead style="background:#666666; color:#fff;">
                                    <tr>
                                        <th>Category</th>
                                        <th>Asset Serial Number</th>
                                        
                                    </tr>
                                 </thead>
                                    <tr bgcolor="#F7F7F7">
                                        <td><?php echo e($asset->cat_name); ?></td>
                                        <td><?php echo e($asset->serial_no); ?></td>                                       
                                    </tr>
                                    <tr bgcolor="#F7F7F7">
                                    <td colspan="2">
    
<table id="example" name="example" class="table table-bordered table-hover" style="margin-bottom:0px;">
                                <thead style="background:#e9e9e9;">
                                    <tr>
                                        <th>OEM</th>
                                        <th>Model</th>
                                        <th>Country</th>
                                        <th>State</th>
                                        <th>City</th>
                                        <th>Location</th>
                                        <th>Part Number</th>
                                        <th>Part Serial No</th>
                                        <th>Part Description</th>
                                        <th>Quantity</th>
                                        
                                    </tr>
                                    </thead>
                                    
                                     <?php $__currentLoopData = $parts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $part): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                                     <?php 
                                      $err=0;
                                      if(($asset->serial_no)==($part->serial_no)){
                                        $err=1;?>
                                    <tr>
                                        <td><?php echo e($part->oem_name); ?></td>
                                        <td><?php echo e($part->mod_name); ?></td>                                       
                                        <td><?php echo e($part->con_name); ?></td> 
                                        <td><?php echo e($part->st_name); ?></td>
                                        <td><?php echo e($part->ct_name); ?></td> 
                                        <td><?php echo e($part->loc_name); ?></td>
                                        <td><?php echo e($part->prt_no); ?></td>
                                        <td><?php echo e($part->prt_qty); ?></td> 
                                        <td><?php echo e($part->prt_desc); ?></td>
                                        <td><?php echo e($part->qty); ?></td>                                        
                                    </tr>
                                    <?php }?>
                                  
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>  
                                          <?php if($err==0){?>
                                          <tr>
                                          <td colspan="10"><b>No Parts Allocated To This Asset</b></td>
                                          </tr>
                                          <?php }?>

                                        </table> 
                                        
                               
                                 </td>
                                 </tr>                               
                            </table>   <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?> 
                            </div>
                    </div>
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div>
                                        

                </section><!-- /.content -->
            </aside>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.tdashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>