<?php

namespace Ticket\Http\Controllers;

use Illuminate\Http\Request;
use Ticket\Http\Controllers\Controller;
use Ticket\Asset;
use Ticket\Master;
use Ticket\Oem;
use Ticket\Oemmodel;
use Ticket\Location;
use Ticket\Customer;
use Ticket\Ticket;
use Ticket\Attachment;
use Ticket\Category;
use Ticket\Tech;
use Ticket\Transaction;
use Ticket\Report;
use Ticket\Defective;
use Ticket\Replacement;

class ReportController extends Controller
{
     public function index()
    
    {     
           $tickets = Report::getTicketdetails();

           return view('admin.ticket.ticketreportlist',compact('tickets'));
    }
     public function reportindex()
    
    {     
           $tickets = Report::getTicketdetails();

           return view('engineer.ticket.ticketreportlist',compact('tickets'));
    }
    public function slaindex()
    
    {     
           //$tickets = Report::getTicketdetails();
      $customers = Customer::all();
      $locs=Location::all();
     

           return view('admin.customer.slasearch',compact('customers','locs'));
    }
     public function slatechindex()
    
    {     
           //$tickets = Report::getTicketdetails();
      $customers = Customer::all();
      $locs=Location::all();
     

           return view('engineer.customer.slasearch',compact('customers','locs'));
    }

  public function slastore(Request $request)
    {
        $dat=explode(" - ",$request->reservation);
        $datefrom=date('Y-m-d H:i:s',strtotime($dat[0]));
        $dateto=date('Y-m-d H:i:s',strtotime($dat[1]."+1 days"));
        //$location    = $request->location;
        $customer    = Report::getCustomerdetails($request->customer);
        $reservation     = $request->reservation;
        $results = Report::getslareport($request->customer, $datefrom,$dateto);
        //print_r($results);exit;
        return view('admin.customer.sla_report',compact('results','reservation','customer'));
    }

   public function show($id)
    {

      $report = Report::getReportTicketByID($id);
     //print_r($report);exit;
       $defective = Report::getDefectiveParts($id);
       $replace = Report::getReplaceParts($id);
       $times = Report::gettimes($id);
    
         return view('admin.ticket.fe_report',compact('report','defective','replace','times'));
    }
     public function custSlaAjax($id)
    {
      $cust = Report::getClientByLocSla($id);

     //echo '<pre>'; print_r($models);die;
      return json_encode($cust);
    }

    
}
