<?php

namespace Ticket;
use DB;


use Illuminate\Database\Eloquent\Model;

class State extends Model
{
    protected $fillable = ['con_id', 'st_name', 'st_status', 'created_at', 'updated_at'];

    
    protected static function getCountryname() {
     $results = DB::table('states')
     ->select('states.id','states.st_name','countries.con_name')
     ->join('countries', 'states.con_id', '=', 'countries.id')
     ->where('countries.con_status', '=', '1')
     ->get(); // Notice the shares.* here
    return $results;
}
}
