@extends('layouts.dashboard')
@section('content')
<script type="text/javascript">

$(document).ready(function() {

var basePath = "<?php echo URL::to('/'); ?>";

$('select[name="category"]').on('change', function() {

  var catId = $(this).val();

  if(catId) {
  //console.log(oemId);
  //for the listing
  var mdl = 0;
  
      $.ajax({

          url: basePath+'/formserial/ajax/'+catId,

          type: "GET",

          dataType: "json",

          success:function(data) {

//console.log('hdhdhshd');
//console.log(data);

              $('select[name="serial_id"]').empty();
              $('select[name="serial_id"]').append('<option disabled selected> Select Serial No</option>');
              $.each(data, function(key, value) {

                  $('select[name="serial_id"]').append('<option value="'+ value.id +'">'+ value.serial_no +'</option>');
//$('select[name="example2"]').append('<option value="'+ value.id +'">'+ value.mod_name +'</option>');
              });


          }

      });

  }else{

      $('select[name="serial_id"]').empty();

  }

});






///////

$('select[name="serial_id"]').on('change', function() {

  var serId = $(this).val();

  if(serId) {
  //console.log(oemId);
  //for the listing
  var mdl = 0;
  
      $.ajax({

          url: basePath+'/formmodel/ajax/'+serId,

          type: "GET",

          dataType: "json",

          success:function(data) {

//console.log('hdhdhshd');
//console.log(data);

              $('select[name="oem"]').empty();
              $('select[name="oem"]').append('<option disabled selected> Select Oem</option>');
              $.each(data, function(key, value) {

                  $('select[name="oem"]').append('<option value="'+ value.id +'">'+ value.oem_name +'</option>');
//$('select[name="example2"]').append('<option value="'+ value.id +'">'+ value.mod_name +'</option>');
              });


          }

      });

  }else{

      $('select[name="oem"]').empty();

  }

});
});
</script>

<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Add Model
        </h1>
        <ol class="breadcrumb">
            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Add Model</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">

                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title">Add Model</h3>
                    </div>
                    <div class="box-body">
                    <div class="col-lg-12">
                    {{ Form::open(array('route' => 'model.store','id'=>'formOem', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}
                       {{ csrf_field() }}
                    <div class="col-md-3">
                      
                      <div class="form-group">
                          <label>Choose Asset</label>
                          <select class="form-control" name="category" id="category" required="required">
                            <option value="">Select</option>
                             @foreach ($categories as $category)
                            <option value="{{ $category->id}}">{{$category->cat_name}}</option>
                            @endforeach
                          </select>
                        </div>
                        </div>


 <div class="col-md-3">
                      
                      <div class="form-group">
                          <label>Choose Serial No</label>
                          <select class="form-control" name="serial_id" id="serial_id" required="required">
                            <option value="">Select</option>
                            
                          </select>
                        </div>
                        </div>


                        <div class="col-md-3">
                      
                      <div class="form-group">
                          <label>Choose OEM</label>
                          <select class="form-control" name="oem" id="oem" required="required">
                            <option value="">Select</option>
                            
                          </select>
                        </div>
                        </div>
                        <div class="col-md-3">
                        <div class="form-group">
                            <label>Enter Model</label>
                            <div class="input-group">
                                <div class="input-group-addon">
                                    <i class="fa fa-map-marker" aria-hidden="true"></i>
                                </div>
                                <input type="text" class="form-control" style="float:left; width:60%; margin-right:5px;" name="mod_name" required="required" />
                                <button type="submit" class="btn btn-danger">Submit</button>
                            </div>
                        </div>
                        </div>

                        {!! Form::close() !!}
                  </div>
                    <div class="col-md-12" style="margin-bottom:20px;">
                        <table id="example2" class="table table-bordered table-hover">
                                <thead style="background:#e9e9e9;">
                                    <tr>
                                        <th width="5%">No#</th>
                                        <th width="20%">Asset</th>
                                        <th width="20%">Serial No</th>
                                        <th width="10%">OEM</th>
                                        <th width="20%">Model</th>
                                       <!--  <th width="15%">Status</th> -->
                                        <th width="25%">Action</th>
                                    </tr>
                                </thead>
                                <tbody>

                                  @foreach($models as $index => $element)
                                  <tr>
                                      <td>{{$index+1}}</td>
                                      <td>{{$element->cat_name}}</td>
                                      <td>{{$element->serial_no}}</td>
                                      <td>{{$element->oem_name}}</td>
                                      <th>{{$element->mod_name}}</th>
                                      <!-- <td><div class="activeTab">
                                        <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                        <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
              </div></td> -->
              <td>
                <a class="btn btn-primary" href="{{ route('model.edit', array('id' => $element->id)) }}">
                  <span class="glyphicon glyphicon-edit"></span> Edit
                </a>
                {{ Form::open(array('method'
=> 'DELETE', 'route' => array('model.destroy', $element->id), 'style' => 'display:inline !important;')) }}<button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->mod_name}}">
              <span class="glyphicon glyphicon-trash"></span> Delete
</button>

                {!! Form::close() !!}
              </td>
                                  </tr>
                                  @endforeach
                                </tbody>
                            </table>
                    </div>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->

                <!-- /.box -->

            </div><!-- /.col (left) -->
        </div><!-- /.row -->

      </section><!-- /.content -->
  </aside>
@endsection
