@extends('layouts.cdashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                         View Asset List 
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">View Asset List</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">View Asset List</h3>                                    
                                </div><!-- /.box-header -->
                                
                                <div class="box-body table-responsive">
                                    <table id="example2" class="table table-bordered table-hover">
                                        <thead style="background:#e9e9e9;">
                                            <tr>
                                                <th>Category</th>
                                                <th>OEM</th>
                                                <th>OEM Model</th>
                                                <th>Part Number</th>
                                                <th>Part Description</th>
                                                <th>Part Quantity</th>
                                                
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($asset as $index => $element)
                                            <tr>
                                                <td>{{$element->cat_name}}</td>
                                                <td>{{$element->oem_name}}</td>
                                                <td>{{$element->mod_name}}</td>
                                                <td>{{$element->prt_no}}</td>
                                                <td>{{$element->prt_desc}}</td>
                                                <td>{{$element->prt_qty}}</td>
                                              
                                    
                                </tr>
                                @endforeach
                                            
                                        </tbody>
                                    </table>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->
                            
                        </div>
                    </div>

                </section><!-- /.content -->
            </aside><!-- /.right-side -->
       
@endsection
