@extends('layouts.tdashboard')
@section('content')
 <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Update State
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Update State</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">State</h3>
                                </div>
                                <div class="box-body">
                                <div class="col-md-12">
                                    
                                        

{!! Form::model($state,['method' => 'POST', 'action' => ['StateController@tupdate', 'id' => $state->id],'id'=>'formStateEdit', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data']) !!}
 {{ csrf_field() }}
 <label>Update State</label>
<div class="form-group">
                                        
                                       <div class="col-md-6">
                                        <select class="form-control" name="con_id" id="con_id">
                            <option value="">Select Country</option>
                             @foreach ($country as $cat)
                            <option value="{{ $cat->id}}" @if ($cat->id == $state->con_id) selected="selected" @endif>{{$cat->con_name}}</option>
                            @endforeach
                          </select>
                          </div>
                                        <div class="col-md-6">
                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            
                                            <input type="text" class="form-control" style="float:left; width:75%; margin-right:5px;" name="st_name" value="{{ $state->st_name ? : old('st_name') }}" required />
                                            <button type="submit" class="btn btn-danger">Update State</button>
                                        </div>
                                        

                                        </div>


                                    </div>
                                    {!! Form::close() !!}
                </div>

                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->

                </section><!-- /.content -->
            </aside><!-- /.right-side -->

@endsection
