@extends('layouts.tdashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                         View Tickets 
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">View Tickets</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-xs-12">
                            <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">View Tickets</h3>                                    
                                </div><!-- /.box-header -->
                                 <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Enter Ticket ID</label>
                                {!!  Form::open(['action' => 'TicketController@tserachticket', 'method' => 'post']) !!}
                                {{ csrf_field() }}
                                        <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            <input type="text" name="search" id="search" class="form-control" style="float:left; width:75%; margin-right:5px;" />
                                            <button type="submit" name="ser" id="ser" class="btn btn-danger">Search</button>
                                        </div>
                                        {!! Form::close() !!}
                                    </div>
                                </div>
                                <div class="box-body table-responsive">
                                    <table id="example2" class="table table-bordered table-hover">
                                        <thead style="background:#e9e9e9;">
                                            <tr>
                                                <th>Ticket ID</th>
                                                <th>Company Name</th>
                                                <th>OEM</th>
                                                <th>OEM Model</th>
                                                <th>Part Number</th>
                                                <th>Ticket Subject</th>
                                                <th>Ticket Description</th>                                              
                                                <th>Action</th>
                                                
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($tickets as $index => $element)
                                            <tr>
                                                <td><a href="{{ url('tticdetails', $element->id) }}">TIC000{{$element->id}}</a></td>
                                                <td>{{ $element->cmpy_name ? : 'Nill' }}   </td>
                                                <td>{{ $element->oem_name ? : 'Nill' }}</td>
                                                <td>{{$element->mod_name ? : 'Nill'}}</td>
                                                <td>{{$element->prt_no ? : 'Nill' }}</td>
                                                <td>{{$element->tic_subject}}</td>
                                                <td>{{$element->tic_desc}}</td>
                                                
                                    <td> {{ Form::open(array('method'
                    => 'GET', 'action' => ['TicketController@tdestroy', $element->id], 'style' => 'display:inline !important;')) }}<a class="btn btn-primary" href="{{ url('ttickedit', $element->id) }}">
                                      <span class="glyphicon glyphicon-edit"></span> Edit
                                    </a>
                                   <button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->tic_subject}}">
                                  <span class="glyphicon glyphicon-trash"></span> Delete
                    </button>

                                    {!! Form::close() !!}</td>
                                </tr>
                                @endforeach
                                            
                                        </tbody>
                                    </table>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->
                            
                        </div>
                    </div>

                </section><!-- /.content -->
            </aside><!-- /.right-side -->
       
@endsection
