<?php $__env->startSection('content'); ?>
<aside class="right-side">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            View Location
        </h1>
        <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Tables</a></li>
            <li class="active">View Location</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="box box-danger">
                    <div class="box-header">
                        <h3 class="box-title">View Location</h3>
                    </div><!-- /.box-header -->
                    <div class="box-body table-responsive">
                        <table id="example2" class="table table-bordered table-hover">
                            <thead style="background:#e9e9e9;">
                                <tr>
                                    <th width="10%">No#</th>
                                    <th width="12%">Country</th>
                                    <th width="15%">State</th>
                                    <th width="15%">City</th>
                                    <th width="30%">Location</th>
                                    <!-- <th width="15%">Status </th> -->
                                    <th width="19%">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $locations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $element): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                                <tr>
                                    <td><?php echo e($index+1); ?></td>
                                    <td><?php echo e($element->con_name); ?></td>
                                    <td><?php echo e($element->st_name); ?></td>
                                    <td><?php echo e($element->ct_name); ?></td>
                                    <td><?php echo e($element->loc_name); ?></td>
                                    <!-- <td><div class="activeTab">
                                      <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                                                              <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
            </div></td> -->
            <td>
              <a class="btn btn-primary" href="<?php echo e(route('location.edit', array('id' => $element->id))); ?>">
<span class="glyphicon glyphicon-edit"></span> Edit
</a>
<?php echo e(Form::open(array('method'
=> 'DELETE', 'route' => array('location.destroy', $element->id), 'style' => 'display:inline !important;'))); ?><button class="btn btn-danger" data-id="<?php echo e($element->id); ?>" data-title="<?php echo e($element->loc_name); ?>">
<span class="glyphicon glyphicon-trash"></span> Delete
</button>

<?php echo Form::close(); ?>

            </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>

                            </tbody>
                        </table>
                    </div><!-- /.box-body -->
                </div><!-- /.box -->

            </div>
        </div>

    </section><!-- /.content -->
</aside>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>