@extends('layouts.dashboard')

@section('content')

<script type="text/javascript">



$(document).ready(function() {



var basePath = "<?php echo URL::to('/'); ?>";



$('select[name="con_id"]').on('change', function() {



  var conId = $(this).val();



  if(conId) {

  //console.log(oemId);

  //for the listing

  var mdl = 0;

  

      $.ajax({



          url: basePath+'/formcity/ajax/'+conId,



          type: "GET",



          dataType: "json",



          success:function(data) {



//console.log('hdhdhshd');

//console.log(data);



              $('select[name="st_id"]').empty();

              $('select[name="st_id"]').append('<option disabled selected> Select State</option>');

              $.each(data, function(key, value) {



                  $('select[name="st_id"]').append('<option value="'+ value.id +'">'+ value.st_name +'</option>');

//$('select[name="example2"]').append('<option value="'+ value.id +'">'+ value.mod_name +'</option>');

              });





          }



      });



  }else{



      $('select[name="st_id"]').empty();



  }



});

});

</script>



<aside class="right-side">

    <!-- Content Header (Page header) -->

    <section class="content-header">

        <h1>

            Add City

        </h1>

        <!-- <ol class="breadcrumb">

            <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>

            <li class="active">Add City</li>

        </ol> -->

    </section>



    <!-- Main content -->

    <section class="content">

        <div class="row">

            <div class="col-md-12">



                <div class="box box-danger box-widget">

                    <div class="widget-head clearfix">
                        <span class="h-icon"><i class="fa fa-align-justify"></i></span>

                        <h4 class="box-title">Add City</h4>

                    </div>

                    <div class="box-body">

                    <div class="col-lg-12">

                    {{ Form::open(array('route' => 'managecity.store','id'=>'formOem', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}

                       {{ csrf_field() }}

                    <div class="col-md-3">

                      

                      <div class="form-group">

                          <label>Choose Country</label>

                          <select class="form-control" name="con_id" id="con_id">

                            <option value="">Select</option>

                             @foreach ($countries as $country)

                            <option value="{{ $country->id}}">{{$country->con_name}}</option>

                            @endforeach

                          </select>

                        </div>

                        </div>

                        <div class="col-md-3">

                      

                      <div class="form-group">

                          <label>Choose State</label>

                          <select class="form-control" name="st_id" id="st_id">

                            <option value="">Select</option>

                            

                          </select>

                        </div>

                        </div>

                        <div class="col-md-6">

                        <div class="form-group">

                            <label>Enter City</label>

                            <div class="input-group">

                                <div class="input-group-addon">

                                    <i class="fa fa-map-marker" aria-hidden="true"></i>

                                </div>

                                <input type="text" class="form-control" style="float:left; width:75%; margin-right:5px;" name="city_name" />

                                <button type="submit" class="btn btn-danger">Submit</button>

                            </div>

                        </div>

                        </div>



                        {!! Form::close() !!}

                  </div>
                  </div>
                  </div>
                  <div class="box box-danger box-widget">
                    <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-table"></i></span>
                                    <h4>City List</h4>
                                </div>
                    <div class="col-md-12 box-body">

                        <table id="ct_list" class="table dt-table table-striped table-hover table-bordered matmix-dt">

                                <thead style="background:#e9e9e9;">

                                    <tr>

                                        <th width="5%">No#</th>

                                        <th width="20%">Country</th>

                                        <th width="20%">State</th>

                                        <th width="20%">City</th>

                                        <th width="15%">Status</th>

                                        <th width="20%">Action</th>

                                    </tr>

                                </thead>

                                <tbody>



                                  @foreach($cities as $index => $element)

                                  <tr>

                                      <td>{{$index+1}}</td>

                                      <td>{{$element->con_name}}</td>

                                      <td>{{$element->st_name}}</td>

                                      <td>{{$element->ct_name}}</td>

                                      <?php  if($element->ct_status == 1){

                                                $status = 'Active';

                                                $class = 'label label-info';

                                            } else {

                                                $status = 'In-Active';

                                                $class = 'label label-warning';

                                            } ?>

                                     <td><div class="activeTab">
                                        <label class="<?php echo $class; ?>"><?php echo $status; ?></label></a>
                                        </div>
                                    </td>

              <td>

                <a class="btn btn-primary" href="{{ route('managecity.edit', array('id' => $element->id)) }}">

                  <span class="glyphicon glyphicon-edit"></span> Edit

                </a>

               <button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->ct_name}}" onclick="delete_ct(<?php echo $element->id ?>);">

              <span class="glyphicon glyphicon-trash"></span> Delete

</button>



                

              </td>

                                  </tr>

                                  @endforeach

                                </tbody>

                            </table>

                    </div>

                    </div><!-- /.box-body -->

                </div><!-- /.box -->



                <!-- /.box -->



            </div><!-- /.col (left) -->

        </div><!-- /.row -->



      </section><!-- /.content -->

  </aside>

@endsection

<script type="text/javascript">

    

    function delete_ct(stId) {

         swal({

            title: "Are you sure?",

            text: "You will not be able to recover this data!",

            type: "warning",

            showCancelButton: true,

            confirmButtonClass: "btn-danger",

            confirmButtonText: "Yes, delete it!",

            cancelButtonText: "No, cancel the actions!",

            closeOnConfirm: false,

            closeOnCancel: false

         },

         function(isConfirm) {

            if (isConfirm) {

               //swal("Deleted!", "State has been deleted.", "success");

               //ajax delete data to database country.destroy

               $.ajax({
                  type: "GET",
                  // url: '<?php //echo url('/delete_con')?>/'
                   url: "{{url('/delete_ct')}}/"+stId,
                  //data: {id:stId},

                  //dataType: "JSON",

                  success: function(data) {
                   

                    console.log(data)

                     //table.ajax.reload(null, false); //just reload table

                      $("#ct_list").load(window.location + " #ct_list");

                       swal("Deleted!", "City has been deleted.", "success");

                 },

                  error: function(jqXHR, textStatus, errorThrown) {
                     alert('Error deleting data');

                 }

               });

            } else {

               swal("Cancelled", "Data is safe :)", "error");

            }

         });

      }  



</script>
