@extends('layouts.dashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                         Daily Service Log (DSL) 
                    </h1>
                    <!-- <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">View Tickets</li>
                    </ol> -->
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-xs-12">
                                <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-table"></i></span>
                                    <h4>DSL List</h4>
                                </div>
                                <div class="col-md-12 box-body">
                                    <table id="example21" class="table dt-table table-striped table-hover table-bordered matmix-dt">
                                        <thead style="background:#e9e9e9;">
                                            <tr>
                                                <th>#SO No.</th>
                                                <th>Open Calls</th>
                                                <th>Location</th>
                                                <th>Contract Type</th>
                                                <th>Issue</th>
                                                <th>Reason</th>
                                                <th>Contracted End User</th>
                                                <th>Follow Up Required</th>
                                                <th>Parts Required</th>
                                                <th>Parts No.</th>
                                                <th>Parts Status</th>
                                                <th>Updated in Sheet</th>
                                                <th>Contact Details</th>
                                                <th>Remarks</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($dsl as $index => $element)
                                            <tr>
                                                <td>DSL000{{$element->id}}</td>
                                                <td>{{ $element->open }}   </td>
                                                <td>{{ $element->loc_name }}   </td>
                                                <td>{{ $element->type }}</td>
                                                <td>{{$element->issue }}</td>
                                                <td>{{$element->reason}}</td>
                                                <td>{{$element->con_end_user}}</td>
                                                <td>{{$element->followup}}</td>
                                                <td>{{$element->parts_required}}</td>
                                                <td>{{$element->partno}}</td>
                                                <td>{{$element->partstatus}}</td>
                                                <td>{{$element->updated}}</td>
                                                <td>{{$element->contact}}</td>
                                                <td>{{$element->remarks}}</td>
                                                
                                                <!-- <td><div class="activeTab">
                                      <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                      <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
                                        </div></td> -->
                                    

                                </tr>
                                @endforeach
                                            
                                        </tbody>
                                    </table>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->
                            
                        </div>
                    </div>

                </section><!-- /.content -->
            </aside><!-- /.right-side -->
       
@endsection
