@extends('layouts.dashboard')
@section('content')
<script type="text/javascript">

$(document).ready(function() {

var basePath = "<?php echo URL::to('/'); ?>";

$('select[name="country"]').on('change', function() {


  var CountryID = $(this).val();

  if(CountryID) {

      $.ajax({

          url: basePath+'/myform/ajax/'+CountryID,

          type: "GET",

          dataType: "json",

          success:function(data) {



              $('select[name="state"]').empty();
              $('select[name="city"]').empty();
               $('select[name="state"]').append('<option disabled selected> Select State</option>');
               $('select[name="city"]').append('<option disabled selected> Select City</option>');

              $.each(data, function(key, value) {

                  $('select[name="state"]').append('<option value="'+ value.id +'">'+ value.st_name +'</option>');

              });


          }

      });

  }else{

      $('select[name="state"]').empty();

  }

});

//city

$('select[name="state"]').on('change', function() {

  var StateId = $(this).val();

  if(StateId) {

      $.ajax({

          url: basePath+'/myform/ctajax/'+StateId,

          type: "GET",

          dataType: "json",

          success:function(data) {



              $('select[name="city"]').empty();
              $('select[name="city"]').append('<option disabled selected> Select City</option>');

              $.each(data, function(key, value) {

                  $('select[name="city"]').append('<option value="'+ value.id +'">'+ value.ct_name +'</option>');

              });


          }

      });

  }else{

      $('select[name="city"]').empty();

  }

});



});

</script>
<aside class="right-side">

                <section class="content-header">
                    <h1>
                        Update Location
                    </h1>
                    <!-- <ol class="breadcrumb">
                        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="#">Forms</a></li>
                        <li class="active">Update Location</li>
                    </ol> -->
                </section>


                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4 class="box-title">Update Location</h4>
                                </div>

{!! Form::model($location,['method' => 'PATCH','route'=>['location.update',$location->id],'id'=>'formLocEdit', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data']) !!}
 {{ csrf_field() }}

 <div class="box-body">
 <div class="col-md-6">
     <!-- Date dd/mm/yyyy -->
     <div class="form-group">
             <label>Country</label>
             <select class="form-control" name="country" id="country" required>
                 <option>Select Country</option>
                   @foreach ($countries as $index => $element)

                 <option value="{{$element->id}}" @if ($location->con_id == $element->id) selected="selected" @endif>{{$element->con_name}}</option>
                  >
                   @endforeach
             </select>
         </div>
     <div class="form-group">
             <label>State</label>
             <select class="form-control" name="state" id="state" required>
                 <option>Select States</option>
                 @foreach ($states as $index => $element)
               <option value="{{$element->id}}" {{ $element->id == $location->st_id ? 'selected="selected"': '' }}>{{$element->st_name}}</option>
                 @endforeach
             </select>
         </div>
</div>
     <div class="col-md-6">
     <!-- phone mask -->
     <div class="form-group">
             <label>City</label>
             <select class="form-control" required name="city" id="city">
                 <option>Select City</option>
                  @foreach ($cities as $index => $element)
               <option value="{{$element->id}}" {{ $element->id == $location->ct_id ? 'selected="selected"': '' }} >{{$element->ct_name}}</option>
                 @endforeach
             </select>
         </div>
     <div class="form-group">
         <label>Location</label>
         <div class="input-group">
             <div class="input-group-addon">
                 <i class="fa fa-map-marker" aria-hidden="true"></i>
             </div>
             <input type="text" class="form-control" name="location" value="{{ $location->loc_name ? : old('loc_name') }}" />
         </div>
     </div>
     </div>
     <div class="col-lg-12" align="center" style="margin:10px 0px 20px;">
       <button type="submit" class="btn btn-danger">Update Location</button>
         <button type="submit" class="btn bg-black">Cancel</button>
     </div>

 </div>
                                        {!! Form::close() !!}
                                      </div>



                                    </div>
                                    </div>

                                    </section>
                                    </aside>
                                    @stop
