@extends('layouts.dashboard')

@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Ticket Details
                    </h1>
                    <!-- <ol class="breadcrumb">
                        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li><a href="view_ticket.html">View Ticket</a></li>
                        <li class="active">Ticket Details</li>
                    </ol> -->
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">
                          <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4 class="box-title">Ticket Details</h4>
                                </div>
                                <div class="box-body">
                                <div class="col-md-6">
                                    <div class="box box-solid">
                                        <div class="box-body">
                                            <dl class="dl-horizontal">
                                                <dt>Ticket ID</dt>
                                                <dd>TIC000<?php echo $tickets->id?></dd>
                                                
                                                <dt>Customer Name</dt>
                                                <dd><?php echo $tickets->cmpy_name?></dd>
                                                
                                                <dt>Location</dt>
                                                <dd><?php echo $tickets->loc_name?></dd>
                                                
                                                <dt>Ticket Subject</dt>
                                                <dd><?php echo $tickets->tic_subject?></dd>

                                                <dt>Ticket Description</dt>
                                                <dd><?php echo $tickets->tic_desc?></dd>
                                                <dt>Ticket Type</dt>
                                                <dd><?php echo $tickets->tic_type?></dd>
                                                                                              
                                            </dl>
                                        </div><!-- /.box-body -->
                                    </div><!-- /.box -->
                            </div>
                                
                                <div class="col-md-6">
                                    <div class="box box-solid">
                                        <div class="box-body">
                                            <dl class="dl-horizontal">
                                             
                                                <dt>OEM</dt>
                                                <dd><?php echo $tickets->oem_name?></dd>
                                                
                                                
                                                <dt>Model</dt>
                                                <dd><?php echo $tickets->mod_name?></dd>
                                                <dt>Status</dt>
                                                <dd><?php echo $tickets->sta_name?></dd>
                                                
                                                
                                               <dt>Part Description</dt>
                                                <dd><?php echo $tickets->prt_desc?></dd>
                                                
                                               
                                                <dt>Part Number</dt>
                                                <dd><?php echo $tickets->prt_no?></dd>
                                                
                                                
                                               <dt>Create date</dt>
                                                <dd><?php echo $tickets->created_at?></dd>
                                                
                                            </dl>
                                        </div><!-- /.box-body -->
                                    </div><!-- /.box -->
                            </div>
                                <div class="col-md-12">
                                    <div class="box box-solid">
                                       <div class="box box-danger">
                                <div class="box-header">
                                    <h3 class="box-title">Change Status for Tickets</h3>
                                </div>
                                {{ Form::open(array('action' => 'TicketController@closeticket','id'=>'formTicket', 'class' => 'form-horizontal form-label-left', 'enctype' => 'multipart/form-data')) }}
                               {{ csrf_field() }}
                                <div class="box-body">
                                <input type="hidden" name="tic_id" value="<?php echo $tickets->id?>">
                                <div class="col-md-6">
                                    <div class="form-group">
                                      <label>Status</label>
                                      <select class="form-control" name="status">
                                          <option value="7">Close</option>
                                          
                                      </select>
                                    </div>
                                    </div>
                                    
                                    
                                <div class="col-lg-12" style="margin:10px 0px 20px;">
                                        <button type="submit" class="btn btn-danger">Post Reply</button>
                                    </div>
                                </div><!-- /.box-body -->
                                {!! Form::close() !!}
                            </div>
                                    </div><!-- /.box -->
                            </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->                    
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
             @endsection
