@extends('layouts.tdashboard')
@section('content')
<!-- Right side column. Contains the navbar and content of the page -->
<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                         Daily Service Log (DSL) 
                    </h1>
                    <!-- <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">View Tickets</li>
                    </ol> -->
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-xs-12">
                                <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-table"></i></span>
                                    <h4>DSL List</h4>
                                    <a href="{{ route('dsl.create') }}">  <button type="submit" class="btn btn-danger pull-right" style="padding: 11px 10px 12px;">Add DSL</button></a>
                                </div>
                                <div class="col-md-12 box-body">
                                    <table id="dsllist" class="table dt-table table-striped table-hover table-bordered matmix-dt">
                                        <thead style="background:#e9e9e9;">
                                            <tr>
                                                <th>#SO No.</th>
                                                <th>Open Calls</th>
                                                <th>Location</th>
                                                <th>Contract Type</th>
                                                <th>Issue</th>
                                                <th>Reason</th>
                                                <th>Contracted End User</th>
                                                <th>Follow Up Required</th>
                                                <th>Parts Required</th>
                                                <th>Parts No.</th>
                                                <th>Parts Status</th>
                                                <th>Updated in Sheet</th>
                                                <th>Contact Details</th>
                                                <th>Remarks</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach($dsl as $index => $element)
                                            <tr>
                                                <td>DSL000{{$element->id}}</td>
                                                <td>{{ $element->open }}   </td>
                                                <td>{{ $element->loc_name }}   </td>
                                                <td>{{ $element->type }}</td>
                                                <td>{{$element->issue }}</td>
                                                <td>{{$element->reason}}</td>
                                                <td>{{$element->con_end_user}}</td>
                                                <td>{{$element->followup}}</td>
                                                <td>{{$element->parts_required}}</td>
                                                <td>{{$element->partno}}</td>
                                                <td>{{$element->partstatus}}</td>
                                                <td>{{$element->updated}}</td>
                                                <td>{{$element->contact}}</td>
                                                <td>{{$element->remarks}}</td>
                                                
                                                <!-- <td><div class="activeTab">
                                      <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                      <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
                                        </div></td> -->
                                    <td><a class="btn btn-primary" href="{{ route('dsl.edit', array('id' => $element->id)) }}">
                                      <span class="glyphicon glyphicon-edit"></span> Edit
                                    </a>
                                   <button class="btn btn-danger" data-id="{{$element->id}}" onclick="del_dsl(<?php echo $element->id?>)">
                                  <span class="glyphicon glyphicon-trash"></span> Delete
                                     </button></td>

                                </tr>
                                @endforeach
                                            
                                        </tbody>
                                    </table>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->
                            
                        </div>
                    </div>

                </section><!-- /.content -->
            </aside><!-- /.right-side -->
       
@endsection
<script type="text/javascript">

    function del_dsl(stId) {
         swal({
            title: "Are you sure?",
            text: "You will not be able to recover this data!",
            type: "warning",
            showCancelButton: true,
            confirmButtonClass: "btn-danger",
            confirmButtonText: "Yes, delete it!",
            cancelButtonText: "No, cancel the actions!",
            closeOnConfirm: false,
            closeOnCancel: false
         },

         function(isConfirm) {
            if (isConfirm) {
               //swal("Deleted!", "State has been deleted.", "success");

               //ajax delete data to database country.destroy
               $.ajax({
                  type: "GET",
                  // url: '<?php //echo url('/delete_con')?>/'
                   url: "{{url('/delete_dsl')}}/"+stId,
                  //data: {id:stId},

                  //dataType: "JSON",

                  success: function(data) {
                     //table.ajax.reload(null, false); //just reload table
                      $("#dsllist").load(window.location + "#dsllist");
                       swal("Deleted!", "Dsl record has been deleted.", "success");
                 },
                  error: function(jqXHR, textStatus, errorThrown) {
                     alert('Error deleting data');
                 }
               });
            } else {

               swal("Cancelled", "Data is safe :)", "error");

            }

         });

      }  



</script>