@extends('layouts.tdashboard')
@section('content')
<script type="text/javascript">

$(document).ready(function() {

var basePath = "<?php echo URL::to('/'); ?>";

$('select[name="cat_id"]').on('change', function() {

  var catId = $(this).val();

  if(catId) {
  //console.log(oemId);
  //for the listing
  var mdl = 0;
  
      $.ajax({

          url: basePath+'/formserial/ajax/'+catId,

          type: "GET",

          dataType: "json",

          success:function(data) {

//console.log('hdhdhshd');
//console.log(data);

              $('select[name="serial_id"]').empty();
              $('select[name="serial_id"]').append('<option disabled selected> Select Serial No</option>');
              $.each(data, function(key, value) {

                  $('select[name="serial_id"]').append('<option value="'+ value.id +'">'+ value.serial_no +'</option>');
//$('select[name="example2"]').append('<option value="'+ value.id +'">'+ value.mod_name +'</option>');
              });


          }

      });

  }else{

      $('select[name="serial_id"]').empty();

  }

});
});
</script>

 <!-- Right side column. Contains the navbar and content of the page -->
            <aside class="right-side">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        Manage OEM
                    </h1>
                    <!-- <ol class="breadcrumb">
                        <li><a href="dashboard.html"><i class="fa fa-dashboard"></i> Home</a></li>
                        <li class="active">Add OEM</li>
                    </ol> -->
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">
                        <div class="col-md-12">

                            <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4 class="box-title">Add OEM</h4>
                                </div><!-- /.box-header -->
                                <div class="box-body table-responsive">
                               
                                        

<!--  <form class="form-horizontal" role="form" method="PUT" action="{{ url('oem/store') }}"> -->

{!! Form::open(['action' => 'OemController@tstore', 'method' => 'post', 'style' => 'display:inline !important;']) !!}
 {{ csrf_field() }}
  <div class="col-md-3">
 <div class="form-group">
<div class="form-group">
                          <label>Choose Asset</label>
                          <select class="form-control" name="cat_id" id="cat_id">
                            <option value="">Select Asset</option>
                             @foreach ($cats as $cat)
                            <option value="{{ $cat->id}}">{{$cat->cat_name}}</option>
                            @endforeach
                          </select>
                        </div>
                                        

                </div>
                </div>
                 <div class="col-md-3">
                      
                      <div class="form-group">
                          <label>Choose Serial No</label>
                          <select class="form-control" name="serial_id" id="serial_id">
                            <option value="">Select</option>
                            
                          </select>
                        </div>
                        </div>
                <div class="col-md-6">
                <label>Enter OEM Name</label>
                    <div class="input-group">
                                            <div class="input-group-addon">
                                                <i class="fa fa-map-marker" aria-hidden="true"></i>
                                            </div>
                                            
                                            <input type="text" class="form-control" style="float:left; width:75%; margin-right:5px;" name="oem_name" required />
                                            <button type="submit" class="btn btn-danger">Add OEM</button>
                                        </div>
                                        {!! Form::close() !!}


                                    </div>

                </div>
                </div>
                </div>
                </div>
                                <div class="box box-danger box-widget">
                                <div class="widget-head clearfix">
                                    <span class="h-icon"><i class="fa fa-align-justify"></i></span>
                                    <h4 class="box-title">List OEM</h4>
                                </div><!-- /.box-header -->
                                <div class="box-body table-responsive">


                                    <table id="example2" class="table dt-table table-striped table-hover table-bordered matmix-dt">
                                            <thead style="background:#e9e9e9;">
                                                <tr>
                                                    <th width="15%">No#</th>
                                                     <th width="20%">Asset</th>
                                                     <th width="15%">Serial No</th>
                                                    <th width="20%">OEM</th>
                                                    <th width="20%">Action </th>
                                                   <!--  <th width="25%">Status</th> -->
                                                </tr>
                                            </thead>
                                            <tbody>
                                            @foreach ($categories as $index => $element)
                                                <tr>
                                                    <td>{{$index+1}}</td>
                                                    <td>{{$element->cat_name}}</td>
                                                    <td>{{$element->serial_no}}</td>
                                                    <td>{{$element->oem_name}}</td>
                                                    <!-- <td><div class="activeTab">
                                        <a class="active_btn"><button class="edit-modal btn btn-success"> <span class="glyphicon glyphicon-ok-sign"></span> Active </button></a>
                                        <a><button class="delete-modal btn btn-warning"> <span class="glyphicon glyphicon-minus-sign"></span> Inactive </button></a>
              </div></td> -->
                             <td>
                              
           <a class="btn btn-primary" href="{{ url('toemedit', $element->id) }}">
             <span class="glyphicon glyphicon-edit"></span> Edit
           </a>
<button class="btn btn-danger" data-id="{{$element->id}}" data-title="{{$element->oem_name}}" onclick="del_oem(<?php echo $element->id?>)">
              <span class="glyphicon glyphicon-trash"></span> Delete
            </button>
 
                            </td>
                                                </tr>
                                                @endforeach

                                            </tbody>
                                        </table>
                                </div>
                                </div><!-- /.box-body -->
                            </div><!-- /.box -->

                            <!-- /.box -->

                        </div><!-- /.col (left) -->
                    </div><!-- /.row -->

                </section><!-- /.content -->
            </aside><!-- /.right-side -->

@endsection
<script type="text/javascript">

    function del_oem(stId) {
         swal({
            title: "Are you sure?",
            text: "You will not be able to recover this data!",
            type: "warning",
            showCancelButton: true,
            confirmButtonClass: "btn-danger",
            confirmButtonText: "Yes, delete it!",
            cancelButtonText: "No, cancel the actions!",
            closeOnConfirm: false,
            closeOnCancel: false
         },

         function(isConfirm) {
            if (isConfirm) {
               //swal("Deleted!", "State has been deleted.", "success");

               //ajax delete data to database country.destroy
               $.ajax({
                  type: "GET",
                  // url: '<?php //echo url('/delete_con')?>/'
                   url: "{{url('/tdelete_oem')}}/"+stId,
                  //data: {id:stId},

                  //dataType: "JSON",

                  success: function(data) {
                     //table.ajax.reload(null, false); //just reload table
                      $("#oemlist").load(window.location + "#oemlist");
                       swal("Deleted!", "Oem has been deleted.", "success");
                 },
                  error: function(jqXHR, textStatus, errorThrown) {
                     alert('Error deleting data');
                 }
               });
            } else {

               swal("Cancelled", "Data is safe :)", "error");

            }

         });

      }  



</script>